/*=============================================================================
        File: error.hh
     Purpose:       
    Revision: $Id: error.hh,v 1.2 1998/05/01 19:53:39 lavoie Exp $
  Created by: Philippe Lavoie          (3 Oct, 1996)
 Modified by: 

 Copyright notice:
          Copyright (C) 1996-1998 Philippe Lavoie
 
	  This library is free software; you can redistribute it and/or
	  modify it under the terms of the GNU Library General Public
	  License as published by the Free Software Foundation; either
	  version 2 of the License, or (at your option) any later version.
 
	  This library is distributed in the hope that it will be useful,
	  but WITHOUT ANY WARRANTY; without even the implied warranty of
	  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	  Library General Public License for more details.
 
	  You should have received a copy of the GNU Library General Public
	  License along with this library; if not, write to the Free
	  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
=============================================================================*/
#ifndef _ERROR_REP_HH_
#define _ERROR_REP_HH_

#include <stdlib.h>
#include <strstream.h>

/**  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **
        Class: PlError --- A class to print and handle error messages
  Description: This class prints error messages in a standard way.
   Created by: Philippe Lavoie (4 Oct. 1996)
  Modified by:
 **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **  **/
class PlError : public ostrstream
{
private:
  char* prog;
  void report(const char *msg = NULL);
public:
  PlError(): ostrstream(), prog(0) {}
  PlError(const char *s);
  ~PlError(){ if (prog) delete []prog ; }

  void warning(const char *msg = 0);
  void nonfatal(const char *msg = 0) { warning(msg); }
  void fatal(const char * = 0 );
  void memory(const void * = 0 );

  //void operator<<(const ostream&) ;
};

#endif

