/* include/internals.hh.  Generated automatically by configure.  */
/*=============================================================================
        File: internals.hh
     Purpose: Define and include some general definitions valid for all 
              matrix header files
    Revision: $Id: internals.hh.in,v 1.2 1998/05/04 16:05:27 lavoie Exp $
  Created by: Philippe Lavoie          (3 Oct, 1996)
 Modified by: 

 Copyright notice:
          Copyright (C) 1996-1998 Philippe Lavoie
 
	  This library is free software; you can redistribute it and/or
	  modify it under the terms of the GNU Library General Public
	  License as published by the Free Software Foundation; either
	  version 2 of the License, or (at your option) any later version.
 
	  This library is distributed in the hope that it will be useful,
	  but WITHOUT ANY WARRANTY; without even the implied warranty of
	  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	  Library General Public License for more details.
 
	  You should have received a copy of the GNU Library General Public
	  License along with this library; if not, write to the Free
	  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
=============================================================================*/

#ifndef _Matrix_internals_h_
#define _Matrix_internals_h_

#define ISO_COMPLEX_HEADER 1

#include <iostream.h>
#include <math.h>
#ifdef ISO_COMPLEX_HEADER
#include <complex>
#else
#include <complex.h>
#endif
#ifdef __GNUG__ 
typedef double_complex Complex ;
#else
typedef complex Complex ;

#ifdef __sgi
inline Complex operator*(double a1, Complex a2)
{
  return Complex(a1*real(a2), imag(a2));
}
#endif

#endif 

#include "error.hh"

// define if you want Image Magick 
/* #undef WITH_IMAGE_MAGICK */

// define if you want the Lapack interface enabled
/* #undef WITH_LAPACK */ 

// define if you want the matrix library to do range validity checking
// and other debugging information
#define DEBUG_MATRIX 1 

/* #undef COLUMN_ORDER */


/* #undef ANSI_ISO_CPP */
/* #undef GNU_GCC_2_8 */

#endif 
