#include <matrix.hh>

#ifdef WITH_IMAGE_MAGICK
#include <image.hh>
#endif

int main(){
  Matrix_FLOAT a(4,4) ;
  int i,j ;

  for(i=0;i<a.rows;++i)
    for(j=0;j<a.cols;++j) 
      a(i,j) = float(maximum(i,j)) ; //+float(i*j)/float(j+1.0) ;
  
  Matrix_FLOAT b(a) ;
  Matrix_FLOAT c(a) ;
  
  c = a+a ;
  cout << "a+a = \n" << c ;
  
  c = a*a ;
  cout << "a*a = \n" << c ;

#ifdef WITH_IMAGE_MAGICK
  IM_ColorImage img;

  img.resize(200,200) ;

  for(i=0;i<img.rows;++i)
    for(j=0;j<img.cols;++j){
      img(i,j).r = (int)(sin((i+j)*0.1)*128.0)+128 ;
      img(i,j).g = (int)(cos((i+j)*0.1)*128.0)+128 ;
      img(i,j).b = (int)(tan((i+j)*0.1)*128.0)+128 ;
    }
  img.write("matrix.pnm") ;

#endif
  

  return 1 ;
}
