/*
 * Project : "MindsEye"
 * Copyright 1996, 1998. All Rights Reserved.
 * Author(s) Frank Meier, M. Kuball
 *
 * $Id: m_core.h,v 1.6 1998/03/19 21:22:31 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * Define the entry points for the plugin loader.
 */

#include "kernel/plugin/classinfo.h"
#include "kernel/m_core.h"
#include "prisma.h"


G3DObject* createPrisma( void );


const char* pluginDescription = "A prisma shape class";
const char* pluginCopyright   = "Copyright 1998 by Martin Kuball";
unsigned    pluginVersion     = EHNO_VERSION;

int
pluginInit( MCore *kernel )
{
  kernel->addObjectFactory( G3DPrisma::GetTypeName(), createPrisma );
  kernel->addObjectName( "simple", "Prisma", G3DPrisma::GetTypeName() );
  return( 1 );
}

int
pluginClose( void )
{
}


G3DObject*
createPrisma( void )
{
  return( new G3DPrisma );
}


//=================================END==============================
