/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: attribute.h,v 1.7 1998/02/22 20:49:41 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * basic attribute classes
 *
 */

#ifndef __ANIMATION_CONTEXT_H_
#define __ANIMATION_CONTEXT_H_

#include "attribute.h"


/**This class is used by the scene object to keep track of the keyframes.
  For each keyframe the corresponding time values is recorded.
  */
class G3DAnimationContext : public G3DAttribute
{
public:
  G3DAnimationContext( void ) { start_ = stop_ = 0; }

  void addKeytime( float );
  void eraseKeytime( float );
  virtual getFieldList();
  virtual const char* getTypeName();
  static  const char* GetTypeName( void );
  virtual uint getParameter( Param* );
  bool isKeytime( float );
  //virtual void setParameter( const Param* );

protected:
  float  start_, stop_;
  set<float, lflt> keyList_;
};


#endif
