/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: animation.cpp,v 1.4 1998/06/22 20:12:31 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * basic attribute classes
 *
 */

#include "anim_path.h"
#include "t_actions.h"
#include "object.h"


void
G3DAnimationPath::evaluateAt( G3DObject *obj, float t ) const
{
  struct tvis *tmp = root_;
  short state = 1;

  clamp( t );
  while( tmp )
    {
      if( tmp->timep <= t )
	{
	  state = tmp->visible;
	  cout << state << " ";
	  tmp   = tmp->next;
	}
      else
	break;
    }
  obj->setOrigin( );
}

Field G3DAnimationPath::APathFields_[2] =
{ {"positions", m_point3}, {"size", s_number} };

const Field*
G3DAnimationPath::getFieldList( void ) const
{
  return( APathFields_ );
}

uint
G3DAnimationPath::getParameter( Param *pList )
{
  if( pList )
    {
      pList->point3 = &pointList_;
      ++pList;
      pList->number = pointList_.size();
    }
  return( 2 );
}

const char*
G3DAnimationPath::getTypeName( void ) const
{
  return( "AnimationPath" );
}

void
G3DAnimationPath::saveValueAt( const G3DObject *obj, float t )
{
  struct tvis  *tmp = root_, *tmp2 = NULL;
  short state = (obj->getState() & visible ? 1 : 0 );

  // t->index?
  // 
  expand( t );
  while( tmp )
    {
      if( tmp->timep < t )
	{
	  tmp2 = tmp;
	  tmp  = tmp->next;
	}
      else if( tmp->timep == t )
	{
	  tmp->visible = state;
	  return;
	}
      else
	break;
    }
}

void
G3DAnimationPath::setParameter( const Parmas *list )
{
  if( list )
    {
      int n = list[1].number;
      if( list[0].point3 != pointList_ )
        {}
    }

}


//==================================END===================================
