/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: animation.h,v 1.2 1998/05/25 20:23:12 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * basic attribute classes
 *
 */

#ifndef __ANIMATION_PATH_H_
#define __ANIMATION_PATH_H_

#include "animation.h"



/**
 */
class G3DAnimationPath : public G3DAnimation
{
public:
  G3DAnimationPath( float atime ) : G3DAnimation(atime)
    { type_ = TA_ANIM_PATH; root_ = NULL; }

  virtual void evaluateAt( G3DObject*, float t ) const;
  virtual void saveValueAt( const G3DObject*, float t );
    ///Return a list with the names and types of the object s parameter.
  virtual const Field* getFieldList( void ) const;
    /**Get a list of params describing the geometry of the object.
       If plist is Null you get just the number of elements.*/
  virtual uint  getParameter( Param* );
    ///Return a Descriptive name of the shape.
  virtual const char* getTypeName( void ) const;

    ///Set the user visible values of the attribute to the values of atr.
  virtual void  setValues( const G3DAttribute *atr );

protected:
  G3DPoint3d *posList_; //do we need to stroe the time?

  struct tvis {
    float  timep;
    short  visible;
    tvis   *next;
  }  *root_;

  static Field APathFields_[2];

};

#endif
