/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: animation.cpp,v 1.5 1998/07/23 20:15:56 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * basic attribute classes
 *
 */

#include "animation.h"
#include "attribute.h"
#include "t_actions.h"
#include "object.h"


void
G3DAnimationVis::evaluateAt( G3DObject *obj, float t ) const
{
  struct tvis *tmp = root_;
  short state = 1;

  clamp( t );
  while( tmp )
    {
      if( tmp->timep <= t )
	{
	  state = tmp->visible;
	  cout << state << " ";
	  tmp   = tmp->next;
	}
      else
	break;
    }
  if( state )
    {
      ActionData action(A_SHOW);
      obj->doAction( action );
    }
  else
    {
      ActionData action(A_HIDE);
      obj->doAction( action );
    }
}

Field G3DAnimationVis::FieldList_[1] = { {"url", s_string} };

const Field*
G3DAnimationVis::getFieldList( void ) const
{
  return( FieldList_ );
}

uint
G3DAnimationVis::getParameter( Param *pList )
{
  if( pList )
    {
      //pList->string  = url_;
    }
  return( 1 );
}

const char*
G3DAnimationVis::getTypeName( void ) const
{
  return( "Anim_Visibility" );
}

void
G3DAnimationVis::saveValueAt( const G3DObject *obj, float t )
{
  struct tvis  *tmp = root_, *tmp2 = NULL;
  short state = (obj->getState() & visible ? 1 : 0 );

  expand( t );
  while( tmp )
    {
      if( tmp->timep < t )
	{
	  tmp2 = tmp;
	  tmp  = tmp->next;
	}
      else if( tmp->timep == t )
	{
	  tmp->visible = state;
	  return;
	}
      else
	break;
    }
  struct tvis *tmp3  = new tvis;
  tmp3->visible = state;
  tmp3->timep   = t;
  tmp3->next    = tmp;
  if( tmp2 )
    tmp2->next = tmp3;
  else
    root_ = tmp3;
}

void
G3DAnimationVis::setValues( const G3DAttribute* )
{
  //TODO
}


//==================================END===================================
