/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: g3d_math.h,v 1.6 1998/07/23 20:15:47 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __GENERIC_H_
#define __GENERIC_H_

typedef unsigned int uint;

#define FG_EPSILON   1.0E-15
#define FG_MAX       10E20
#define G3D_INFINITY 1.0E100


#include "math/g3dvector.h"
#include "math/g3dpoint.h"

typedef G3DVector3<double> G3DVector3d;
typedef G3DPoint3<double>  G3DPoint3d;


#include "math/matrix.h"
#include "math/g3d_ray.h"


extern char IOSeparator;

void setIOSeparator( char c=' ' );

inline float deg2rad(const float deg) { return (deg/180)*M_PI; }
inline float rad2deg(const float rad) { return rad * 180/M_PI; }

inline double max( double x, double y )
{
  return( (x >= y) ? x : y );
}

inline float max( float x, float y )
{
  return( (x >= y) ? x : y );
}

inline double min( double x, double y )
{
  return( (x >= y) ? y : x );
}

inline float min( float x, float y )
{
  return( (x >= y) ? y : x );
}


#endif
