// -*-c++-*-
/*
 * Project : "MindsEye, Math"
 * Copyright (c) 1996, 1997, 1998 by Martin Kuball. All Rights Reserved.
 * Author(s):  M. Kuball
 *
 * $Id: g3d_ray.h,v 1.3 1998/01/29 21:01:39 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * Class for 4x4 Matrix
 *
 */

#ifndef __G3D_MATH2_H_
#define __G3D_MATH2_H_


#include <iostream.h>
#include "3dlib/g3d_math.h"


class G3DRay
{
public:
  G3DRay() {}
  G3DRay( const G3DPoint3d &p, const G3DVector3d &n, const G3DVector3d &up ) :
    startpoint_(p), direction_(n), projection_( n, up )
  {
    G3DMatrix tmp( p * (-1.0) );
    projection_ *= tmp;
  };

  G3DMatrix* getProjection( void ) { return( &projection_ ); };

public:
  G3DPoint3d  startpoint_;
  G3DVector3d direction_;
  G3DMatrix   projection_;
};


#endif

