/*
 * Project : "MindsEye, 3D library"
 * Copyright (c) 1995 - 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: s_glshapes.h,v 1.10 1998/07/23 20:15:49 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * OVERVIEW
 * ========
 * Declaration of the primitive shapes used by OpenGL
 */

#ifndef __S_GL_SHAPES_H_
#define __S_GL_SHAPES_H_

#include "shape.h"


class G3DA_BBox;


/*
class G3DGLPrimitive : public G3DShadable
{
public:
  **Create a Primitive with num Vertices. *
  G3DGLPrimitive( int num );
  G3DGLPrimitive( int num, G3DVector3d *vertices  );
  ~G3DGLPrimitive();

  ///Set the numth vertex to the given value. 
  void setVertex( int num, G3DVector3d &vertex );
  ///
  void setNormal( int num, G3DVector3d &normal );

protected:
  G3DVector3d *_vertices;  //TODO points?
  G3DVector3d *_normals;
  int         _nVertices;

};
*/


/*
class G3DGLLine : public G3DObject
{
public:
  G3DGLLine( void );  //TODO int num );
  G3DGLLine( const G3DGLLine& );
  virtual ~G3DS_Polygon();

    ///
  virtual G3DObject* copy( void ) const;
    ///
  virtual uint getParameter( Param* );
    ///Set the numth vertex to the given value. 
  void setVertex( uint num, const G3DPoint3d &vertex );
    ///
  void setNormal( const TVector<double,3> &normal );
    ///Change the number of vertices. The old ld values are deleted.
  void setVertexNumber( uint num );
    ///
  virtual void shade( int ) const;

protected:
  G3DPoint3d  *_vertices;
  G3DVector3d _normal;    //TODO a normal for each vertex?
  uint        _nVertices;

};
*/

/** Instaces of this class represent plane and concave polygons.
    It is an OpenGL primitive.
    The vertices are given in clockwise order. That is, the interior
    of the polygon is always to your right side.
 */
class G3DS_Polygon : public G3DShape
{
public:
  G3DS_Polygon( void );  //TODO int num );
  G3DS_Polygon( const G3DS_Polygon& );
  virtual ~G3DS_Polygon();

    ///
  virtual G3DObject* copy( void ) const;
    ///Return a list with the names and types of the object s parameter.
  virtual const Field* getFieldList( void ) const;
    ///
  virtual uint getParameter( Param* );
    ///
  virtual void getPosition( G3DPoint3d &p ) const;
    ///Return a Descriptive name of the shape.
  virtual const char* getTypeName( void ) const;
  static  const char* GetTypeName( void );
    ///
  virtual void resetBoundingBox( void );
    ///
  virtual void   setParameter( const Param* );
    ///Set the numth vertex to the given value. 
  void setVertex( uint num, const G3DPoint3d &vertex );
    ///
  void setNormal( const TVector<double,3> &normal );
    ///Change the number of vertices. The old ld values are deleted.
  void setVertexNumber( uint num );
    ///
  virtual void shade( int ) const;

protected:
  G3DPoint3d  *_vertices;
  G3DVector3d _normal;    //TODO a normal for each vertex?
  uint        _nVertices;

  static Field FieldList_[3];

};


/**OpenGL QuadStrip. */
class G3DGLQuadStrip
{
public:
  /**Create a QuadStrip with num Quadrilaterals. */
  G3DGLQuadStrip( void );
  G3DGLQuadStrip( uint num, const G3DPoint3d *vertices  );
  G3DGLQuadStrip( const G3DGLQuadStrip& );
  ~G3DGLQuadStrip();

  //virtual G3DObject* copy( void ) const;
    ///
  void setNormal( uint num, const TVector<double,3> &normal );
    ///Set the number of stripes. The old date is deleted.
  void setStripeNumber( uint num );
    ///Set the numth vertex to the given value. 
  void setVertex( uint num, const G3DPoint3d &vertex );
    ///
  void shade( void ) const;

protected:
  G3DPoint3d  *_vertices;
  G3DVector3d *_normals;
  uint        _nVertices;

};



/**OpenGL Triangle Fan */
class G3DGLTriFan
{
public:
  G3DGLTriFan( uint num );
  G3DGLTriFan( const G3DGLTriFan &);
  ~G3DGLTriFan();

    ///Set the center point of the fan. It is first point in the list.
  //void setCenter( TVector<double,3>& );
    ///
  void setNormal( uint num, const TVector<double,3> &normal );
    ///
  void setTriangleNumber( uint );
    ///Set the numth vertex to the given value. 
  void setVertex( uint num, const G3DPoint3d &vertex );
    ///
  void shade( void ) const;

protected:
  G3DVector3d *_vertices;  //TODO points?
  G3DVector3d *_normals;
  uint        _nVertices;

};



/*OpenGL TriangleStrip */
/*
class G3DGLTriangleStrip : public G3DShadable
{
public:
  G3DGLTriangleStrip( int num );
  G3DGLTriangletrip( int num, G3DVector3d *vertices  );
  ~G3DGLTriangleStrip();

  ///Set the numth vertex to the given value. 
  void setVertex( int num, G3DVector3d &vertex );
  ///
  void setNormal( int num, G3DVector3d &normal );
  ///
  virtual void shade( void ) const;

protected:
  G3DVector3d *_vertices;  //TODO points?
  G3DVector3d *_normals;
  uint        _nVertices;

};
*/


#endif
