/*
 * Project : "MindsEye, 3D library"
 * Copyright (c) 1995 - 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: s_nurbsurf.cpp,v 1.14 1998/07/23 20:15:51 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * OVERVIEW
 * ========
 *
 */

#include <GL/gl.h>
#include <GL/glu.h>
#include "s_line.h"
#include "s_nurbsrot.h"
#include "s_point.h"



/*
void
G3DRotationSpolygon::shade( void ) const
{
  int i, j;

  //TODO glColor() ;
  for( i = 0; i < surface.CtrlP.rows; ++i )
    {
      glBegin( GL_LINE_STRIP );
      for( j = 0; j < surface.CtrlP.cols; ++j )
	glVertex4fv( surface.CtrlP(i, j).data ) ;
      glEnd() ;
    }
  for( j = 0; j < surface.CtrlP.cols; ++j )
    {
      glBegin( GL_LINE_STRIP );
      for( i = 0; i < surface.CtrlP.rows; ++i )
	glVertex4fv( surface.CtrlP(i, j).data );
      glEnd() ;
    }    
}
*/

//--------------------------------------------------------------------

G3DRotationSurface::G3DRotationSurface( const PlNurbsCurve &curve,
					Point3D &pos, Point3D &axis,
					float angle ) :
  G3DNurbsSurface(), curve_(curve), position_(pos),axis_(axis),angle_(angle)
{
  type_ = T_ROT_SURFACE;
  cout << pos << " " << axis << endl;
  makeFromRevolution( curve, pos, axis, angle );
  resetBoundingBox();
}

void
G3DRotationSurface::makeRot( void )
{
  makeFromRevolution( curve_, position_, axis_, angle_ );
  resetBoundingBox();
}

void
G3DRotationSurface::doAction( ActionData &action )
{
  /*
  switch( action.type )
    {
    case A_FIND_SELECTION:
      {
	GLuint n, u, v;
	if( ((SelectData&)action).peekNextNum(n) )
	  {
	    if( n == selName_cpt )
	      {	
		((SelectData&)action).nextNum();
		((SelectData&)action).getNextNum( u );
		((SelectData&)action).getNextNum( v );
		((SelectData&)action).setSelection( new G3DCPoint(P(u,v)) );
		return;
	      }
	  }
	break;
      }
    case A_SELECT:
      resetKnots();
    }
    */
  G3DNurbsSurface::doAction( action );
}

/*
Field G3DRotationSurface::FieldList_[7] =
{ {"u_degree", s_flt}, {"v_degree", s_flt},
  {"knot_vec_u", m_flt}, {"knot_num_u", s_number},
  {"knot_vec_v", m_flt}, {"knot_num_v", s_number},
  {"ctrl_points", m_mctrlPt}
};

const Field*
G3DRotationSurface::getFieldList( void ) const
{
  return( FieldList_ );
}

uint
G3DRotationSurface::getParameter( Param *list )
{
  if( list )
    {
      list->flt     = degU;
      list++;
      list->flt     = degV;
      list++;
      list->fltList = U.memory();
      list++;
      list->number  = U.n;
      list++;
      list->fltList = V.memory();
      list++;
      list->number  = V.n;
      list++;
      list->mCtrlPt = &P;
    }
  return( 7 );
}
*/
const char*
G3DRotationSurface::GetTypeName( void )
{
  return( "Rotation_surface" );
}

const char*
G3DRotationSurface::getTypeName( void ) const
{
  return( G3DRotationSurface::GetTypeName() );
}

/* TODO do we need this?
void
G3DRotationSurface::modifyPoint( float u, float v, float dx,
			      float dy, float dz )
{
  Point3D delta( dx, dy, dz );
  if( u < KnotU[0] )
    u = KnotU[0];
  if( u > KnotU[KnotU.n-1] )
    u = KnotU[KnotU.n-1];
  if( v < KnotV[0] )
    v = KnotV[0];
  if( v > KnotV[KnotV.n-1] )
    v = KnotV[KnotV.n-1];
  movePoint( u, v, delta );
}
*/

/*
void
G3DNurbsSurface::shadeSubObjects( void ) const
{
  glPushName( selName_cpt );
  glPushName( 0 );
  glPointSize( 6 );
  glColor3f(0.2, 0.2, 0.9);

  for( int i = 0; i < P.rows; ++i )
    {
      glLoadName( i );
      glPushName( 0 );
      for( int j = 0; j < P.cols; ++j )
	{
	  glLoadName( j );
	  glBegin( GL_POINTS );
	  glVertex4fv( P(i,j).data );
	  glEnd();
	}
      glPopName();
    }
  glPopName(); glPopName();
  //set color knots.shade( 0 );
  ((G3DNurbsSpolygon*)polygon)->shade( );
}
*/

//=================================END=================================
