/*
 * Project : "MindsEye, 3D library"
 * Copyright (c) 1995 - 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: s_nurbsurf.h,v 1.12 1998/07/23 20:15:52 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * OVERVIEW
 * ========
 *
 */

#ifndef __S_ROTATION_SURFACE_H_
#define __S_ROTATION_SURFACE_H_

#include <nurbs.hh>
#include <GL/glu.h>
#include "s_nurbsurf.h"


/**This class offers an interface to help design OpenGL 
   applications and use this NURBS library at the same time.
   Created by: Philippe Lavoie (23 September 1997)
   This Object is not selectable.
*/
/*
class G3DNurbsSpolygon : public G3DObject
{
public:  
  G3DNurbsSpolygon( PlNurbsSurface& s ) : surface(s)
    {
      //objectColor = cPolygonColorDefault;
    };

  void shade( void ) const;

protected:
  PlNurbsSurface& surface;
};
*/

/**This class offers an interface to help design OpenGL 
   applications and use this NURBS library at the same time.
   Created by: Philippe Lavoie (23 September 1997)
*/
class G3DRotationSurface : public G3DNurbsSurface
{
public:
  G3DRotationSurface( void ) : G3DNurbsSurface(), curve_() {}
  G3DRotationSurface( const PlNurbsCurve &curve, Point3D &pos, Point3D &axis,
		      float angle );
  /*
 :
    G3DNurbsSurface(), curve_(curve), position_(pos),axis_(axis),angle_(angle)
    {
      type_ = T_ROT_SURFACE;
      makeFromRevolution( curve, pos, axis, angle );
      resetBoundingBox();
    }
    */
  G3DRotationSurface( const G3DRotationSurface &nS ) :
    G3DNurbsSurface(nS), curve_(nS.curve_), position_(nS.position_),
    axis_(nS.axis_), angle_(nS.angle_) {}

  PlNurbsCurve& getCurve( void ) { return curve_; }

  void makeRot( void );
    ///
  virtual void doAction( ActionData& );
    ///
  //virtual uint getParameter( Param *list );
    ///Return a Descriptive name of the shape.
  virtual const char* getTypeName( void ) const;
  static  const char* GetTypeName( void );
    ///TODO virtual?
  //void modifyPoint(float u, float v, float dx, float dy, float dz);
    ///
  //virtual void shadeSubObjects( void ) const;

private:
  PlNurbsCurve curve_;
  Point3D      position_, axis_;    //TODO
  float        angle_;

  //static GLUnurbsObj *NurbsRenderer_;
  //static float       tesselTolerance_;
  
};


#endif
