/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: shape.cpp,v 1.9 1998/06/22 20:12:29 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#include "include/config.h"
#include "s_reference.h"
#include "t_actions.h"


G3DReference::G3DReference( G3DShape *ref )
{
  peer_ = ref;
  type_ = ref->getType();
  ref->addReference();
}

G3DReference::G3DReference( const G3DReference &orig ) :
  G3DShape( orig );
{
  peer_ = orig.peer_;
  peer_->addReference();
}


void
G3DReference::compileList( int )
{
  //do nothing: we'r using the display list of the peer.
}

G3DObject*
G3DReference::copy( void ) const
{
  return( new G3DReference(*this) );
}

void
G3DReference::doAction( ActionData &action )
{
  //peer_->doAction( action ); 
}

G3DAListIterator
G3DReference::getAttribute()
{
  //erst eigene durchsuchen, dann von peer_ ?
  //From self or peer?
}

const char*
G3DReference::getTypeName( void ) const
{
  peer_->getTypeName();
}

//selectSubObjects

int
G3DReference::numberOfShapes( void )
{
  return( peer_->numberOfShapes() );
}

void
G3DReference::shade( int lnum ) const
{
  peer_->shade( lnum );  //what about display list if selected?
}

/*
virtual clDisplay
virtual getAttribute
virtual getBoundingBox
virtual setAttribute ??
*/


//=====================================END===============================
