/*
 * Project : "MindsEye, 3D library"
 * Copyright (c) 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: scene.h,v 1.5 1998/06/22 20:12:29 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __SCENE_H_
#define __SCENE_H_


#include "color.h"
#include "s_group.h"


/**This is a special group which serves as the root of a scene.
 */
class G3DScene : public G3DGroup
{
public:
  G3DScene( void );
  G3DScene( const G3DScene& );

    ///Make a deep copy of the object.
  virtual G3DObject* copy( void ) const;
    ///Return a list with the names and types of the object s parameter.
  virtual const Field* getFieldList( void ) const;
    /**Get a list of params describing the geometry of the object.
       If plist is Null you get just the number of elements.*/
  virtual uint  getParameter( Param* );
    ///Return a Descriptive name of the shape.
  virtual const char* getTypeName( void ) const;
  static  const char* GetTypeName( void );
    //The opposite of getParameter.
  //virtual void  setParameter( const Param* );
    ///Do some special tasks like setting the background.
  virtual void  shade( int ) const;

protected:
  G3DColor background_;  //TODO Attribute?

  static Field SceneFields_[1];

  //RefList  _refList;
  //other global settings and rendering hints
};


#endif
