/*
 * Project : "MindsEye"
 * Copyright (c) 1998. All Rights Reserved.
 * Author(s):   Martin Kuball
 * 
 * $Id: w_light.cpp,v 1.1 1998/07/22 21:01:53 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#include <stdlib.h>
#include <GL/gl.h>

#include "light.h"
#include "w_light.h"
#include "t_actions.h"



G3DPointLightWidget::G3DPointLightWidget( G3DLight *parent ) :
  sphere_( 0.5 ), G3DWidget( parent )
{
  type_ = T_P_LIGHT_WIDGET;
  reset();
}


void
G3DPointLightWidget::display( int ) const
{
  glPushAttrib( GL_CURRENT_BIT | GL_LIGHTING_BIT );
  glDisable( GL_LIGHTING );
  glColor3fv( (const float*)(((G3DLight*)parent_)->getColor()) );
  if( trafo_ )
    {
      glPushMatrix();
      glMultMatrixd( (const double*)trafo_ );
    }
  sphere_.shade( 0 );
  if( trafo_ )
    glPopMatrix();
  glPopAttrib();
}

void
G3DPointLightWidget::doAction( ActionData &action )
{
  if( action.type == A_SELECT )
    {
    }
  else if( action.type == A_FIND_SELECTION )
    {
      //TODO no handles, yet
      ((SelectData&)action).setSelection( parent_ );
    }
}

void
G3DPointLightWidget::reset( void )
{
}

void
G3DPointLightWidget::select( void )
{
  //TODO no handles, yet. Just draw the shape.
  display();
}


//================================END====================================
