/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: w_light.h,v 1.1 1998/07/22 21:01:53 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __LIGHT_WIDGET_H_
#define __LIGHT_WIDGET_H_

#include "widget.h"
#include "s_simple.h"

class G3DLight;


/**A Widget object is drawn around a selected Object to visualize its
   bounding box and to supply handle to size or rotate the object.
   The Widget itself is never selected, only its parent: the light.
   */
class G3DPointLightWidget : public G3DWidget
{
public:
  G3DPointLightWidget( G3DLight *parent );

    ///
  virtual void display( int n=0 ) const;
    ///
  virtual void doAction( ActionData &action );
    ///
  virtual void select( void );
  virtual void  reset( void );

protected:
    ///
  void  calculateVertices( G3DPoint3d&, G3DVector3d&, G3DVector3d&,
			   G3DVector3d& );

protected:
  G3DS_Sphere sphere_;

};


#endif
