/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: widget.h,v 1.3 1998/03/30 20:10:00 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _ORBIT_WIDGET_H_
#define _ORBIT_WIDGET_H_

#include "widget.h"

class G3DShape;


/**A Widget object is drawn around a selected Object to visualize its
   bounding box and to supply handle to size or rotate the object.
   
   */
class G3DOrbitWidget : public G3DWidget
{
public:
  G3DOrbitWidget( G3DShape* );

    ///
  virtual void  display( int n=0 ) const;
    ///
  virtual void  doAction( ActionData &action );
  virtual const G3DPoint3d& getOrigin( void ) const;
  virtual void  select( void );
    ///
  virtual void  setOrigin( const TVector<double,3>& );

protected:
  void  reset( void );

protected:
  G3DPoint3d  ocenter_, anchor_;
  G3DPoint3d  _vertices[16]; // _triangles[8];
  //G3DVector3d _unScale;
  GLuint      selVertex_;
};


#endif
