/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: w_rotate.h,v 1.1 1998/07/22 21:01:54 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _ROTATION_WIDGET_H_
#define _ROTATION_WIDGET_H_

#include "widget.h"

class G3DShape;


/**A Widget object is drawn around a selected Object to visualize its
   bounding box and to supply handle to size or rotate the object.
   
   */
class G3DRotateWidget : public G3DWidget
{
public:
  G3DRotateWidget( G3DShape* );

    ///
  virtual void display( int n=0 ) const;
    ///
  virtual void doAction( ActionData &action );
  const G3DPoint3d&  getCenter( void ) const { return ocenter_; }
  void    getAxis( G3DVector3d& ) const;
  void    getCircle( G3DVector3d&, G3DVector3d& ) const;
  virtual void select( void );

protected:
  void  makeCircle( const G3DPoint3d&, const G3DVector3d&,
		    const G3DVector3d&, G3DPoint3d* );
  void  reset( void );

protected:
  G3DPoint3d  ocenter_;
  G3DPoint3d  _vertices[16];
  G3DPoint3d  circle1_[16], circle2_[16], circle3_[16];
  G3DVector3d ce1_, ce2_, ce3_;

  GLuint      selVertex_;
};


#endif
