/*
 * Project : "MindsEye"
 * Copyright (c) 1998. All Rights Reserved.
 * Author(s):   Martin Kuball
 * 
 * $Id: widget.cpp,v 1.10 1998/07/22 21:01:55 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#include "widget.h"



G3DWidget::G3DWidget( G3DObject *parent ) :
  G3DObject( parent )
{
}

const G3DVector3d&
G3DWidget::getAngles( void ) const
{
  return( parent_->getAngles() );
}

void
G3DWidget::getLocalTrafo( G3DMatrix &m ) const
{
  parent_->getLocalTrafo( m );
}

const G3DPoint3d&
G3DWidget::getOrigin( void ) const
{
  return( parent_->getOrigin() );
}

const G3DVector3d&
G3DWidget::getScale( void ) const
{
  return( parent_->getScale() );
}

void
G3DWidget::getWorldTrafo( G3DMatrix &m, bool local ) const
{
  parent_->getWorldTrafo( m, local );
}

void
G3DWidget::reset( void )
{
}

void
G3DWidget::select( void )
{
}

void
G3DWidget::setAngles( const TVector<double,3> &angles )
{
  parent_->setAngles( angles );
}

void
G3DWidget::setOrigin( const TVector<double,3> &delta )
{
  parent_->setOrigin( delta );
}

void
G3DWidget::setScale( const TVector<double,3> &scale )
{
  parent_->setScale( scale );
}


//================================END====================================
