/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: widget.h,v 1.5 1998/07/22 21:01:55 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _WIDGET_H_
#define _WIDGET_H_

#include "object.h"


class G3DWidget : public G3DObject
{
public:
  G3DWidget( G3DObject* );

    ///The parameter is there to make some template code happy.
  virtual void  display(int n=0) const = 0;
  virtual const G3DVector3d& getAngles( void ) const;
    ///
  virtual void  getLocalTrafo( G3DMatrix &m ) const;
  virtual const G3DPoint3d&  getOrigin( void ) const;
  virtual const G3DVector3d& getScale( void ) const;
    /**Concatenate all parent transformation matrices up to the root of
       the scene. The last matrix is the one of the object itself.*/
  virtual void  getWorldTrafo( G3DMatrix &m, bool local=true ) const;
    ///Recalculate the widget from its parent s bounding box.
  virtual void  reset( void );
    ///
  virtual void  select( void );
  virtual void  setAngles( const TVector<double,3>& );
    ///
  virtual void  setOrigin( const TVector<double,3>& );
  virtual void  setScale( const TVector<double,3>& );

};


#endif
