/**********************************************************************

	--- Dlgedit generated file ---

	File: m_cameradlg.cpp
	Last generated: Sat Jun 21 18:34:14 1997

 *********************************************************************/

#include <stdlib.h>
#include "3dlib/camera.h"
#include "m_cameradlg.h"

#define Inherited MCameraDialogData


MCameraDialog::MCameraDialog( QWidget* parent, const char* name ) :
  Inherited( parent, name )
{
  setCaption( "MindsEye Camera List" );
  current_ = 0;

  connect( _applyButton, SIGNAL(clicked()), SLOT(applyValues()) );
  connect( _closeButton, SIGNAL(clicked()), SLOT(closeIt()) );
  connect( _createButton, SIGNAL(clicked()), SLOT(createCamera()) );

  connect( cameraNames_, SIGNAL(activated(int)),
		 SLOT(cameraSelected(int)) );
}


MCameraDialog::~MCameraDialog()
{
}


void
MCameraDialog::applyValues()
{
  double x, y, z;

  x = atof(_positionX->text());
  y = atof(_positionY->text());
  z = atof(_positionZ->text());
  G3DPoint3d pos(x,y,z);
  cout << "pos = " << pos << endl;

  //_camera->setPosition();
  //emit changed( 0 );
}


void
MCameraDialog::cameraSelected( int index )
{
  current_ = index;
  setValues();
}


void
MCameraDialog::closeIt()
{
  //emit closeing();
  close();
}

    
void
MCameraDialog::createCamera()
{
  char      str[20];
  G3DCamera *camera = new G3DCamera;

  cameras_->insert( cameras_->end(), camera );
  current_ = cameras_->size() - 1;
  sprintf( str, "Camera %i", current_ + 1 );
  camera->setName( str );
  cameraNames_->insertItem( str );

  cameraNames_->setCurrentItem( current_ );
  setValues();
}


void
MCameraDialog::setCameraList( MCameraList *cameras )
{
  cameraNames_->clear();
  cameras_ = cameras;

  MCameraList::iterator cam = cameras->begin();
  while( cam != cameras->end() )
    cameraNames_->insertItem( (*(cam++))->getName() );

  current_ = 0;
  setValues();
}


void
MCameraDialog::setValues()
{
  char       str[12];
  G3DCamera *camera = (*cameras_)[current_];

  G3DPoint3d pos = camera->getPosition();
  sprintf( str, "%.4f", pos.x() );
  _positionX->setText( str );
  sprintf( str, "%.4f", pos.y() );
  _positionY->setText( str );
  sprintf( str, "%.4f", pos.z() );
  _positionZ->setText( str );

  G3DPoint3d lat = camera->getLookAt();
  sprintf( str, "%.4f", lat.x() );
  _poiX->setText( str );
  sprintf( str, "%.4f", lat.y() );
  _poiY->setText( str );
  sprintf( str, "%.4f", lat.z() );
  _poiZ->setText( str );

  sprintf( str, "%.3f", camera->getFOV() );
  _fov->setText( str );
}

void
MCameraDialog::updateContents( int )
{
}


//===================================END=================================
