/**********************************************************************

	--- Qt Architect generated file ---

	File: colorpicker.cpp
	Last generated: Mon Jun 8 15:33:09 1998

 *********************************************************************/

#include "colorpicker.h"

#define Inherited MEColorPickerData


MEColorPicker* MEColorPicker::Picker = NULL;


MEColorPicker::MEColorPicker
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name )
{
  //setCaption( "MindsEye Color Selection" );

  itsColorGroup->insert( itsBlack, Black );
  itsColorGroup->insert( itsWhite, White );
  itsColorGroup->insert( itsDarkGray, DarkGray );
  itsColorGroup->insert( itsGray, Gray );
  itsColorGroup->insert( itsRed, Red );
  itsColorGroup->insert( itsGreen, Green );
  itsColorGroup->insert( itsBlue, Blue );
  itsColorGroup->insert( itsCyan, Cyan );
  itsColorGroup->insert( itsMagenta, Magenta );
  itsColorGroup->insert( itsYellow, Yellow );
  itsColorGroup->insert( itsDarkRed, DarkRed );
  itsColorGroup->insert( itsDarkGreen, DarkGreen );
  itsColorGroup->insert( itsDarkBlue, DarkBlue );
  itsColorGroup->insert( itsDarkCyan, DarkCyan );
  itsColorGroup->insert( itsDarkMagenta, DarkMagenta );
  itsColorGroup->insert( itsDarkYellow, DarkYellow );
  
  connect( itsColorGroup, SIGNAL(clicked(int)), SLOT(colorClicked(int)) );

  connect( itsRedSlide, SIGNAL(valueChanged(int)),
	   SLOT(SliderChanged(int)) );
  connect( itsGreenSlide, SIGNAL(valueChanged(int)), 
	   SLOT(SliderChanged(int)) );
  connect( itsBlueSlide, SIGNAL(valueChanged(int)), 
	   SLOT(SliderChanged(int)) );
  
  connect( itsRedValue, SIGNAL(textChanged(const char*)),
	   SLOT(TextChanged(const char*)) );
  connect( itsGreenValue, SIGNAL(textChanged(const char*)),
	   SLOT(TextChanged(const char*)) );
  connect( itsBlueValue, SIGNAL(textChanged(const char*)),
	   SLOT(TextChanged(const char*)) );

  connect( itsOkButton,     SIGNAL(clicked()), SLOT(accept()) );
  connect( itsCancelButton, SIGNAL(clicked()), SLOT(reject()) );

  changeColor( itsBlack, black );
  changeColor( itsWhite, white );
  changeColor( itsDarkGray, darkGray );
  changeColor( itsGray, gray );
  changeColor( itsRed, red );
  changeColor( itsGreen, green );
  changeColor( itsBlue, blue );
  changeColor( itsCyan, cyan );
  changeColor( itsMagenta, magenta );
  changeColor( itsYellow, yellow );
  changeColor( itsDarkRed, darkRed );
  changeColor( itsDarkGreen, darkGreen );
  changeColor( itsDarkBlue, darkBlue );
  changeColor( itsDarkCyan, darkCyan );
  changeColor( itsDarkMagenta, darkMagenta );
  changeColor( itsDarkYellow, darkYellow );

  UpdateSliders( red );
  UpdateTexts( red );
}


MEColorPicker::~MEColorPicker()
{
}


void
changeColor( QWidget *widget, const QColor &color )
{
  widget->setPalette( QPalette( color ) );
}

void
MEColorPicker::colorClicked( int item )
{
  QColor color;

  switch( item )
    {
    case Black:
      {
	color = black;
	break;
      }
    case White:
      {
	color = white;
	break;
      }
    case DarkGray:
      {
	color = darkGray;
	break;
      }
    case Gray:
      {
	color = gray;
	break;
      }
    case LightGray:
      {
	color = lightGray;
	break;
      }
    case Red:
      {
	color = red;
	break;
      }
    case Green:
      {
	color = green;
	break;
      }
    case Blue:
      {
	color = blue;
	break;
      }
    case Cyan:
      {
	color = cyan;
	break;
      }
    case Magenta:
      {
	color = magenta;
	break;
      }
    case Yellow:
      {
	color = yellow;
	break;
      }
    case DarkRed:
      {
	color = darkRed;
	break;
      }
    case DarkGreen:
      {
	color = darkGreen;
	break;
      }
    case DarkBlue:
      {
	color = darkBlue;
	break;
      }
    case DarkCyan:
      {
	color = darkCyan;
	break;
      }
    case DarkMagenta:
      {
	color = darkMagenta;
	break;
      }
    case DarkYellow:
      {
	color = darkYellow;
	break;
      }
    }
    
  changeColor( itsSelected, color );
  
  UpdateSliders( color );
  UpdateTexts( color );
}

void
MEColorPicker::colorFromUser( QColor *col )
{
  if( Picker == NULL )
    Picker = new MEColorPicker;

  Picker->setColor( col );
  if( Picker->exec() == Accepted )
    Picker->getColor( col );
}

void
MEColorPicker::getColor( QColor *col ) const
{
  *col = itsSelected->backgroundColor();
}

void
MEColorPicker::setColor( const QColor *col )
{
  changeColor( itsSelected, *col );
  UpdateSliders( *col );
  UpdateTexts( *col );
}

void
MEColorPicker::SliderChanged( int )
{
  QColor color( itsRedSlide->value(), itsGreenSlide->value(),
		itsBlueSlide->value() );
  UpdateTexts( color );
  changeColor( itsSelected, color );
}

void
MEColorPicker::TextChanged( const char* )
{
  QString str = itsRedValue->text();
  int red = str.toInt();
  if( !str.isEmpty() && (red < 0 || red > 255) )
    {
      str = str.left(str.length() - 1);
      itsRedValue->setText( str );
      itsRedValue->selectAll();
      red = str.toInt();
    }
  
  str = itsGreenValue->text();
  int green = str.toInt();
  if( !str.isEmpty() && (green < 0 || green > 255) )
    {
      str = str.left(str.length() - 1);
      itsGreenValue->setText( str );
      itsGreenValue->selectAll();
      green = str.toInt();
    }
  
  str = itsBlueValue->text();
  int blue = str.toInt();
  if( !str.isEmpty() && (blue < 0 || blue > 255) )
    {
      str = str.left(str.length() - 1);
      itsBlueValue->setText( str );
      itsBlueValue->selectAll();
      blue = str.toInt();
    }

  QColor color( red, green, blue );
    
  UpdateSliders( color );
  changeColor( itsSelected, color );
}

void
MEColorPicker::UpdateSliders( const QColor& color )
{
  itsRedSlide->setValue( color.red() );
  itsGreenSlide->setValue( color.green() );
  itsBlueSlide->setValue( color.blue() );
}

void
MEColorPicker::UpdateTexts( const QColor&	color )
{
  QString str;
    
  itsRedValue->setText( str.setNum( color.red() ) );
  itsGreenValue->setText( str.setNum( color.green() ) );
  itsBlueValue->setText( str.setNum( color.blue() ) );
}


//====================================END================================
