/*
 * Project : MindsEye, dialogs
 * Copyright (c) 1996 - 1998
 * 
 * $Id: colorpicker.h,v 1.1 1998/06/22 20:12:35 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 */

#ifndef MEColorPicker_included
#define MEColorPicker_included

#include "colorpicker_d.h"


/**Dialog for selecting a color.
  TODO provide tools to edit an maintain a user palette.
 */
class MEColorPicker : public MEColorPickerData
{
    Q_OBJECT

protected:
    MEColorPicker
    (
        QWidget* parent = NULL,
        const char* name = NULL
    );

public:
    virtual ~MEColorPicker();

      /// get the color the user selected
    static void colorFromUser( QColor* );

protected slots:
      /**called when a predefined color is clicked, the selected color is
	 changed to the color clicked.*/
    void colorClicked( int );
      ///Set the rgb values of col to the selected color.
    void getColor( QColor *col ) const;
      ///
    void setColor( const QColor* );
      /// update the selected color when a slider is moved
    void SliderChanged( int );
      /// update the selected color when a color text is changed
    void TextChanged( const char* );

protected:
      /// update the values of the red, green, and blue sliders
    void UpdateSliders( const QColor& color );
      /// update the red, green, and blue text fields
    void UpdateTexts( const QColor& color );


private:
    static MEColorPicker *Picker;

    enum 
    {
	Black,
	White,
	DarkGray,
	Gray,
	LightGray,
	Red,
	Green,
	Blue,
	Cyan,
	Magenta,
	Yellow,
	DarkRed,
	DarkGreen,
	DarkBlue,
	DarkCyan,
	DarkMagenta,
	DarkYellow
    };
};


extern void changeColor (QWidget* widget,const QColor& color);


#endif
