/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: infoWidget.cpp,v 1.3 1998/01/14 20:06:39 source Exp $
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * The info widgets are now child classes of class PropertyDialog.
 * The methos curveInfo and surfaceInfo are changed to the
 * virtual function setObject().
 */


#include "torusWidget.h"
#include "torusInfo.h"


InfoTorusWidget::InfoTorusWidget( void ) :
  ObjectProperties(NULL, "TorusInfo")
{
  _gpage = new TorusWidget( this );
  addTab( _gpage, "Torus" );
  ObjectProperties::addPages();
  connect( this, SIGNAL(applyButtonPressed()), SLOT(applyValues()) );
}

void
InfoTorusWidget::applyValues( ) 
{
  ((TorusWidget*)_gpage)->getValues( (G3DTorus*)_obj );
  //TODO emit objectChanged(_obj);
}

void
InfoTorusWidget::setObject( G3DObject *obj )
{
  //TODO what about a switch to show the global values?

  ((TorusWidget*)_gpage)->setValues( (G3DTorus*)obj );
  ObjectProperties::setObject( obj );
}


//====================================END==============================
