/*
 * Project : "MindsEye, dialogs"
 * Copyright (c) 1998. All Rights Reserved.
 * Author(s) M. Kuball
 *
 * $Id: renderDlg.h,v 1.4 1998/07/23 20:16:00 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef MERenderDialog_included
#define MERenderDialog_included

#include "renderDlgD.h"

class MERenderQueue;
class MWorldObject;


/**Make a render job and add it ot a queue for processing.
 */
class MERenderDialog : public MERenderDialogData
{
  Q_OBJECT

public:
  MERenderDialog( void );
  virtual ~MERenderDialog();

    ///Use Parameter from Last invocation.
  void  renderCurrent( MWorldObject* );
    ///
  void  setWorld( MWorldObject *w ) { world_ = w; }

protected slots:
  void  addJob();
  void  browseFileName();
  void  closeIt();
  void  formatSelected(int);
  void  newResolution( int );
  void  queueSelected( int );
  void  setQueueOptions();
  void  toggleAllFrames( bool );
  void  toggleCurrentFrame( bool );
  void  toggleSomeFrames( bool );

protected:
  void  setQueueList( void );

protected:
  //float shutterTime_;
  //TODO uint  frameRate_;
  enum { Current, All, Some } frames_;
  
  MERenderQueue *queue_;
  MWorldObject  *world_;

};


#endif // MERenderDialog_included
