/*
 * vi:ts=4:sw=4:
 *
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * Author(s) M. van Velsen
 * 
 * $Id: cursors.h,v 1.2 1997/12/17 21:22:58 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#define CURSOR_X        16
#define CURSOR_Y        16 

#define handicon_width  16
#define handicon_height 16

static unsigned char hand_cur_cls_bits [] = 
{
   0x00, 0x00, 
   0xb8, 0x1d, 
   0x48, 0x72, 
   0x4e, 0x92, 
   0x1a, 0x90, 
   0x12, 0x80,
   0x12, 0x40, 
   0x02, 0x40, 
   0x04, 0x40, 
   0x04, 0x20, 
   0x08, 0x20, 
   0x30, 0x10,
   0x20, 0x10, 
   0x20, 0x10, 
   0x20, 0x10, 
   0x00, 0x00
};

static unsigned char hand_msk_cls_bits [] = 
{
   0x00, 0x00, 
   0xb8, 0x1d, 
   0xf8, 0x7f, 
   0xfe, 0xff, 
   0xfe, 0xff, 
   0xfe, 0xff,
   0xfe, 0x7f, 
   0xfe, 0x7f, 
   0xfc, 0x7f, 
   0xfc, 0x3f, 
   0xf8, 0x3f, 
   0xf0, 0x1f,
   0xe0, 0x1f, 
   0xe0, 0x1f, 
   0xe0, 0x1f, 
   0x00, 0x00
};

static unsigned char hand_open_cur_bits[] = 
{
   0x01, 0x80,
   0x0e, 0x58,
   0x12, 0x64,
   0x52, 0x64,
   0xb2, 0x48,
   0x92, 0x48,
   0x90, 0x16,
   0x90, 0x19,
   0x40, 0x11,
   0x40, 0x02,
   0x40, 0x04,
   0x20, 0x04,
   0x20, 0x08,
   0x10, 0x10,
   0x10, 0x20, 
   0x10, 0x20
};

static unsigned char hand_open_msk_bits[] = 
{
   0x01, 0x80,
   0x0f, 0xd8,
   0x1f, 0xfc,
   0x5f, 0xfc,
   0xff, 0xf8, 
   0xff, 0xf8,
   0xff, 0xf6,
   0xff, 0xff, 
   0x7f, 0xff, 
   0x7f, 0xfe,
   0x7f, 0xfc,
   0x3f, 0xfc,
   0x3f, 0xf8,
   0x1f, 0xf0,
   0x1f, 0xe0,
   0x1f, 0xe0,
};

/*
static unsigned char hand_open_cur_bits[] = 
{
   0x80, 0x01, 
   0x58, 0x0e, 
   0x64, 0x12, 
   0x64, 0x52, 
   0x48, 0xb2, 
   0x48, 0x92,
   0x16, 0x90, 
   0x19, 0x80, 
   0x11, 0x40, 
   0x02, 0x40, 
   0x04, 0x40, 
   0x04, 0x20,
   0x08, 0x20, 
   0x10, 0x10, 
   0x20, 0x10, 
   0x20, 0x10
};

static unsigned char hand_open_msk_bits[] = 
{
   0x80, 0x01, 
   0xd8, 0x0f, 
   0xfc, 0x1f, 
   0xfc, 0x5f, 
   0xf8, 0xff, 
   0xf8, 0xff,
   0xf6, 0xff, 
   0xff, 0xff, 
   0xff, 0x7f, 
   0xfe, 0x7f, 
   0xfc, 0x7f, 
   0xfc, 0x3f,
   0xf8, 0x3f, 
   0xf0, 0x1f, 
   0xe0, 0x1f, 
   0xe0, 0x1f
};
*/