/*
 * vi:ts=4:sw=4:
 *
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * 
 * $RCSfile: m_nurbs.h,v $
 *
 * $Revision: 1.1.1.1 $
 * 
 * $Author: source $ 
 * 
 * $Locker:  $
 * 
 * $State: Exp $
 * 
 * 
 * COPYRIGHT
 * =========
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 *
 */

#ifndef __NURBS_H__
#define __NURBS_H__

#define S_NUMKNOTS	8   /* number of knots in each dimension of surface*/
#define S_NUMCOORDS	3   /* number of surface coordinates, (x,y,z) */
#define S_ORDER		4   /* surface is bicubic, order 4 for each parameter */
#define T_NUMKNOTS	8  /* number of knots in the trimming curve */
#define T_NUMCOORDS	3   /* number of curve coordinates, (wx,wy,w) */
#define T_ORDER		3   /* trimming curve is rational quadratic */

/* number of control points in each dimension of NURBS */
#define S_NUMPOINTS	(S_NUMKNOTS - S_ORDER)
#define T_NUMPOINTS	(T_NUMKNOTS - T_ORDER)

#endif
