/*
 * vi:ts=4:sw=4:
 *
 * Project : "MindsEye"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s) M. van Velsen, M. Kuball
 *
 * $Id: m_vars.h,v 1.3 1998/03/19 21:22:28 source Exp $
 * 
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * OVERVIEW
 * ========
 * The variables you find here will be the only global variables available 
 * througout the entire kernel source, so be carefull in the light of
 * memory leaks !!
 */

#ifndef __MVARS_H__
#define __MVARS_H__


//TODO move these to m_defs.h ??

#ifndef PATH_MAX
#define PATH_MAX 1024
#endif

#define KERNEL_SANE  0  // these are internal and do not have anything to do
#define KERNEL_PANIC 1  // with the message system

#define NR_ICONS 13

#define MODULE_KERNEL    -1 // primarily for message usage
#define MODULE_CONSOLE    0
#define MODULE_CONFIG     1 
#define MODULE_SCRIPT     2
#define MODULE_TREEDLG    3
#define MODULE_ANIM       4
#define MODULE_MATERIAL   5
#define MODULE_MODEL      6
#define MODULE_VIEWER     7
#define MODULE_NET        8
#define MODULE_LOAD       9
#define MODULE_SAVE      10 
#define MODULE_ABOUT     11

#define MODULE_HELP      12
#define MODULE_OUTPUT    13

#define MODULE_SHAPER    14

#define NR_MODULES       15

//extern QPixmap *pm [];
//extern QPixmap *background;

//extern char data_tree_visible;
//extern char console_visible;
//extern char script_visible;

extern const char *CopyrightMessage;


#endif // __MVARS_H__
