/*
    Project : "MindsEye I/O Module"
    Copyright 1996. All Rights Reserved.

    FILE:         3ds_asc.cpp
    AUTHOR:       Martin van Velsen


    OVERVIEW
    ========
    I/O lib for reading and writing of 3d-studio ascii mesh-files
*/

#include "3ds_asc.h"

FILE *asc_3ds;

/*---------------------------------------------------------------------------*/
int IO_3DS_Asc_Class::check_header (FileClass *tempclass)
{
  tempclass=tempclass;

  return (FILE_NOTCHECKABLE);
}
/*-------------------- First of all the parse functions ---------------------*/
void IO_3DS_Asc_Class::ClearEdit (void)
{
 for (int i=0;i<LINE_LEN;i++) edit_line [i]=0;
}
/*---------------------------------------------------------------------------*/
void IO_3DS_Asc_Class::ClearObject (void)
{
 for (int i=0;i<20;i++) object_name [i]=0;
}
/*---------------------------------------------------------------------------*/
void IO_3DS_Asc_Class::ReadLetter ()
{
 fscanf (asc_3ds,"%c",&letter);
 if (letter=='\n') 
   current_line++;

 //>------- some stuff for the loading dialog
 loading_count++;
 if (loading_count>divider)
 {
  loading_count=0;
  update=1;
 }
}
/*---------------------------------------------------------------------------*/
int IO_3DS_Asc_Class::FindString (void)
{
  int teller;

  do
  {
	  ReadLetter ();
   if ((letter=='\n') || (letter==feof (asc_3ds))) return (0);
  }
  while (letter!='"');

  teller=0;
  do
  {
   ReadLetter ();
   if (letter=='\n')
     letter='"';
   if (letter==feof (asc_3ds))
     return (1);
   object_name [teller]=letter;
   teller++;
  }
  while (letter!='"');

  object_name [teller-1]=0;
  offset=0;
//Clearedit ();
  return (0);
}
/*---------------------------------------------------------------------------*/
int IO_3DS_Asc_Class::FindNumber (void)

{ int teller,einde;
  char unair_flag;

  einde=0;unair_flag=0;

  do
  {
   ReadLetter ();
   if ((letter=='\n') || (letter==feof (asc_3ds))) return (0);
   if (letter=='-') unair_flag=1;
  }while (!(letter>=48) && (letter<58));

  teller=0;

  do
  {
   getal [teller]=letter;
  	teller++;
   ReadLetter ();
   if ((letter=='\n') || (letter==feof (asc_3ds))) einde=1;
  }while ((letter>=48) && (letter<58) && (einde!=1));

  getal [teller]=0;
  /* from string to integer */
  number=atoi (getal);
  if (unair_flag==1) number=-(number);
  offset=0;
//  ClearEdit ();
  return (0);
}
/*---------------------------------------------------------------------------*/
void IO_3DS_Asc_Class::ParseLetter (void)
{
 int i;

 ReadLetter ();

 /* a-z */
 for (i=97;i<123;i++)
 if (letter==i)
 {
  found=1;
  edit_line [offset]=letter;
  offset++;
  break;
 }

 /* A-Z */
 if (found!=1)
 {
  for (i=65;i<91;i++)
  if (letter==i)
  {
   found=1;
   edit_line [offset]=letter;
   offset++;
   break;
  }
 }

 /* 0-9 */
 if (found!=1)
 {
  for (i=48;i<58;i++)
  if (letter==i)
  {
   found=1;
   edit_line [offset]=letter;
   offset++;
   break;
  }
 }

 if ((found!=1) && (strlen (edit_line)>0))/* completed a word */
 {
  edit_line [offset+1]=0;
  offset=0;
  word_complete=1;
 }
 else
 {
  word_complete=0;
 }
}
/*---------------------------------------------------------------------------*/
int IO_3DS_Asc_Class::file_load (FileClass *tempclass)
{
   int i;
   long numbp=0L,numbf=0L;

   current_line=1;
   used=0;letter=0;offset=0;action=0,found=0,
   word_complete=0,loading_count=0;update=0,
   vertex=0L,face=0L;

   asc_3ds=tempclass->filepointer;

   letter='a';
   while ( (letter!=0) &&  !(feof(asc_3ds)) )
   {

    ParseLetter ();

    if ((word_complete==1) && (edit_line [0]!='\n'))
    {
      if ((action==0) && (strcmp (edit_line,"Named")==0))
      {
       action=1;used=1;
      }
      if ((action==1) && (strcmp (edit_line,"object")==0))
      {

       used=1;
       /* stated that the command is an object declaration but we've      */
       /* got to find out what kind of object camera,light or real object */
       if (FindString ()==0)
       {
        action=2;
       }
       else
         return (current_line);
      }

      if ((action==2) && (strcmp (edit_line,"Tri")==0))
      {
       action=6;used=1;
       /* jump to object definition */
      }

      /********************** light handling ******************/
      if ((action==2) && (strcmp (edit_line,"light")==0))
      {
       ClearObject ();
       action=3;used=1; /* jump to object definition */
      }

      if ((action==3) && (strcmp (edit_line,"Position")==0))
      {
       i=0;
       while ((i<20) && (object_name [i]!='\n'))
       {
        //TempScene->lights [TempScene->numb_lights].name [i]=object_name [i];
        i++;
       }
       //TempScene->lights [TempScene->numb_lights].name [i]=0;

       ClearObject ();
       used=1;
      }

      if ((action==3) && (strcmp (edit_line,"X")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        //TempScene->lights [TempScene->numb_lights].source.SetX ((float) number);
       }
       else
         return (current_line);

       ClearEdit ();
      }

      if ((action==3) && (strcmp (edit_line,"Y")==0))
      {
       used=1;

         if (FindNumber ()==0)
         {
          //TempScene->lights [TempScene->numb_lights].source.SetY ((float) number);
         }
         else
          return (current_line);

         ClearEdit ();
      }
      if ((action==3) && (strcmp (edit_line,"Z")==0))
      {
       used=1;

         if (FindNumber ()==0)
         {
          //TempScene->lights [TempScene->numb_lights].source.SetZ ((float) number);
         }
         else
          return (current_line);

       ClearEdit ();
       //TempScene->numb_lights++;
       action=0;
      }
      /*********************** camera handling ****************/
      if ((action==2) && (strcmp (edit_line,"Camera")==0))
      {
       action=4;used=1; /* jump to object definition */
      }

      if ((action==4) && (strcmp (edit_line,"Position")==0))
      {
       i=0;
       while ((i<20) && (object_name [i]!='\n'))
       {
         //TempScene->cameras [TempScene->numb_cam].name [i]=object_name [i];
         i++;
       }
       //TempScene->cameras [TempScene->numb_cam].name [i]=0;

       ClearObject ();
       used=1;
      }

      if ((action==4) && (strcmp (edit_line,"X")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        //TempScene->cameras [TempScene->numb_cam].eye_p.SetX ((float) number);
       }
       else
        return (current_line);

       ClearEdit ();
      }
      if ((action==4) && (strcmp (edit_line,"Y")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        //TempScene->cameras [TempScene->numb_cam].eye_p.SetY ((float) number);
       }
       else
         return (current_line);

       ClearEdit ();
      }

      if ((action==4) && (strcmp (edit_line,"Z")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        //TempScene->cameras [TempScene->numb_cam].eye_p.SetZ ((float) number);
       }
       else
         return (current_line);

       ClearEdit ();
       action=5;
      }

      if ((action==5) && (strcmp (edit_line,"Target")==0))
      {
       used=1;
      }

      if ((action==5) && (strcmp (edit_line,"X")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        //TempScene->cameras [TempScene->numb_cam].focus.SetX ((float) number);
       }
       else
         return (current_line);

       ClearEdit ();
      }
      if ((action==5) && (strcmp (edit_line,"Y")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        //TempScene->cameras [TempScene->numb_cam].focus.SetY ((float) number);
       }
       else
        return (current_line);

       ClearEdit ();
      }

      if ((action==5) && (strcmp (edit_line,"Z")==0))
      {
        used=1;
        if (FindNumber ()==0)
        {
         //TempScene->cameras [TempScene->numb_cam].focus.SetZ ((float) number);
        }
        else
         return (current_line);

        ClearEdit ();
        action=0;
        //TempScene->numb_cam++;
        // if (TempScene->numb_cam>12) TempScene->numb_cam=12;
      }
      /************** continue with object handling ************************/
      /*********************************************************************/

      if ((action==6) && (strcmp (edit_line,"Vertices")==0))
      {
         LoadingDialog->UpdateCaption ("Loading Vertices...");

         used=1;

         //>-------------- Create Object here

         /* fill object name here */
         i=0;
         while ((i<20) && (object_name [i]!=0))
         {
           //TempObject->obj_name [i]=object_name [i];
           i++;
         }
         //TempObject->obj_name [i]=0;

         /* we've found a vertex list declaration */
         if (FindNumber ()==0)
         {
          numbp=number;
          //TempObject->numbpoint=number;
         }
         else
          return (current_line);

         action=7;
      }

      if ((action==7) && (strcmp (edit_line,"Faces")==0))
      {

       used=1;
       /* we've found a Face list declaration */
       if (FindNumber ()==0)
       {
        numbf=number;
        //TempObject->numbpoly=number;
       }
       else
         return (current_line);

        action=8;
      }

      /********************* read vertex list ******************************/
      if ((action==8) && (strcmp (edit_line,"Vertex")==0))
      {
       used=1;action=9;
       ClearEdit ();
      }

      if ((action==9) && (strcmp (edit_line,"list")==0))
      {
       used=1;
       /* starting to read the vertex-list */
       action=10;
       vertex=0L;
      }

      if ((action==10) && (strcmp (edit_line,"Vertex")==0))
      {
       used=1;
       //>------------- Create Vertex here

       /* fill coordinates */
       if (FindNumber ()==0)
       {

       }
       else
         return (current_line);

       ClearEdit ();
      }
      /**************************** X ****************************/
      if ((action==10) && (strcmp (edit_line,"X")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        //TempCoor->SetX ((float) number);
       }
       else
         return (current_line);

       ClearEdit ();
      }
      /**************************** Y ***************************/
      if ((action==10) && (strcmp (edit_line,"Y")==0))
      {
        used=1;
        if (FindNumber ()==0)
        {
          //TempCoor->SetY ((float) number);
        }
        else
         return (current_line);

        ClearEdit ();
      }
      /*************************** Z ***************************/
      if ((action==10) && (strcmp (edit_line,"Z")==0))
      {
        used=1;
        if (FindNumber ()==0)
        {
         //TempCoor->SetZ ((float) number);
        }
        else
          return (current_line);

        ClearEdit ();
        vertex++;
        if (vertex>=numbp)
        {
         action=11;
        }
      }
      /************** read faces list **************************/
      if ((action==11) && (strcmp (edit_line,"Face")==0))
      {
       used=1; action=12;
       ClearEdit ();
      }
      if ((action==12) && (strcmp (edit_line,"list")==0))
      {
       used=1;action=13;
       ClearEdit ();
       face=0L;
      }

      if ((action==13) && (strcmp (edit_line,"Face")==0))
      {
        used=1;
        if (FindNumber ()==0)
        {
           //TempPoly=TempTools->CreatePoly (0,TempScene);
           //if (TempPoly==NULL)
           // return (current_line);
        }
        else
         return (current_line);

        ClearEdit ();
      }
      /**************************** A ****************************/
      if ((action==13) && (strcmp (edit_line,"A")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
        temp_def [0]=(float) number;
       }
       else
         return (current_line);

       ClearEdit ();
      }
      /**************************** B ***************************/
      if ((action==13) && (strcmp (edit_line,"B")==0))
      {
        used=1;
        if (FindNumber ()==0)
        {
         temp_def [1]=(float) number;
        }
        else
         return (current_line);

        ClearEdit ();
      }
      /*************************** C ***************************/
      if ((action==13) && (strcmp (edit_line,"C")==0))
      {
       used=1;
       if (FindNumber ()==0)
       {
          temp_def [2]=(float) number;
          //TempTools->ProcessPoly (TempScene);
       }
       else
         return (current_line);

       ClearEdit ();
       face++;
       if (face>=numbf)
       {
        action=0;
       }
      }

      ClearEdit ();
    } /* end of if (word_complete==1) */

    found=0;
    /*******************************************************/
   }/* end of while loop */

 fclose (asc_3ds);

 return (0);
}
/*--------------------------------------------------------------------------*/
int IO_3DS_Asc_Class::file_save (class FileClass *tempclass)
{
 unsigned int i=0;

 // filepointer is valid
 asc_3ds=tempclass->filepointer;

 printf ("Ambient light color: Red=0.039216 Green=0.039216 Blue=0.039216\n");

 /*
 while (  !=NULL)
 {
  printf ("\n");
  printf ("Named object: %c%s%c\n",'"',TempScene->current_object->obj_name,'"');
  printf ("Tri-mesh, Vertices: %d     Faces: %d\n",
           TempScene->current_object->numbpoint,
           TempScene->current_object->numbpoly);

  //>----------- Process vertices
  printf ("Vertex list:\n");
  TempCoor=TempScene->current_object->coorlist;
  i=0;
  while (TempCoor!=NULL)
  {
   printf ("Vertex %d: X: %d.000000 Y: %d.000000 Z: %d.000000\n",
            i,
            TempCoor->transf [0],
            TempCoor->transf [0],
            TempCoor->transf [0]);

   TempCoor=TempCoor->next_coor;
   i++;
  }

  //>----------- Process Faces
  printf ("Face list:\n");
  TempPoly=TempScene->current_object->polylist;
  i=0;
  while (TempPoly!=NULL)
  {
   printf ("Face %d: A: %d B: %d C: %d",
           i,
           FindCoordinate (TempScene,TempPoly->triangle [0]),
           FindCoordinate (TempScene,TempPoly->triangle [1]),
           FindCoordinate (TempScene,TempPoly->triangle [2]));
   printf (" AB:1 BC:1 CA:0\n");
   printf ("Smoothing:  1\n");
   TempPoly=TempPoly->next_poly;
   i++;
  }

  TempScene->current_object=TempScene->current_object->next_object;
 }
 
 */

 //>----------- and then place the cameras and lights

 printf ("\n");
 printf ("Named object: %cCamera01%c\n",'"','"');
 printf ("Camera (48.235291mm)\n");
 printf ("Position:  X:1000 Y:-1000 Z:1000\n");
 printf ("Target:  X:0 Y:0 Z:0\n");
 printf ("Bank angle: 0 degrees\n");
 printf ("Near 0 Far 1000\n");
 printf ("\n");
 printf ("Named object: %cLight01%c\n",'"','"');
 printf ("Direct light\n");
 printf ("Position:  X:-1000 Y:-1000 Z:1000\n");
 printf ("Spotlight to:  X:0 Y:0 Z:0\n");
 printf ("Hotspot size: 44 degrees\n");
 printf ("Falloff size: 45 degrees\n");
 printf ("Light color: Red=0.705882 Green=0.705882 Blue=0.705882\n");

 fclose (asc_3ds);
 return (0);
}