/*
    Project : "MindsEye I/O Module"
    Copyright 1996. All Rights Reserved.

    FILE:         3ds_asc.h
    AUTHOR:       Martin van Velsen


    OVERVIEW
    ========
    Class definition for the 3d-studio mesh file support functions
    ( ascii )
*/

#ifndef __3DS_ASC_H__
#define __3DS_ASC_H__

#include "../io_module.h"

//>------------------------------------------------

class IO_3DS_Asc_Class : public IOClass
{
     public:

         // local var stuff   

         unsigned char the_end;
         unsigned char end_of_file;
         unsigned char *read_buffer;
         unsigned int read_pointer;
         unsigned int active_loadsize;
         unsigned int temp_loadsize;

         char update;
         long loading_count;
         long file_length;
         long divider;

         int found,word_complete;
         unsigned int current_line;
         char edit_line [LINE_LEN];
         char getal [25];
         char object_name [25];
         char letter;
         char action;
         int offset;
         int number;
         long vertex,face;
         int used;

         void ClearEdit (void);
         void ClearObject (void);

         // parse functions
         void ReadLetter (void);
         int  FindString (void);
         int  FindNumber (void);
         void ParseLetter (void);

         // IO functions
         int  check_header (FileClass *); 
         int  file_load (FileClass *);
         int  file_save (FileClass *);
};

#endif