/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: ac3d.h,v 1.1.1.1 1997/11/22 15:59:16 source Exp $
 *
 * $LOG:$
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __AC3D_H__
#define __AC3D_H__

#include "fstream.h"
#include "io/io_module.h"
#include "io/io_base.h"


/** I/O lib for reading and writing the Neutral file format.
 */
class MEIoAC3D : public IO_BaseClass
{
public:
  MeIoAC3D() {};

  virtual int  check_header( char *fname );
  virtual int  getFormatInfo( int type );

protected:
  ///
  virtual int  exitLoad( int );
  ///
  virtual int  exitSave( int );
  ///
  virtual int  initLoad( const char *fname );
  ///
  virtual int  initSave( const char *fname, int );
  ///
  virtual int  loadObjects( G3DShadableNode* );
  ///
  virtual int  saveObjects( void );

protected:
  ifstream  _inpf;

};

#endif
