/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. van Velsen, M. Kuball
 *
 * $Id: f_info.h,v 1.2 1997/12/17 21:22:59 source Exp $
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 * definition of class FormatInfo which holds information about
 * the features of a 3d file format
 */

#ifndef __F_INFO_H_
#define __F_INFO_H_

 //shapes, material, effects, hirarchy, rendering, extras

 /*
// primitive defines
struct {
        unsigned int cube         :1; // one bit
        unsigned int sphere       :1;
        unsigned int torus        :1;
        unsigned int cylinder     :1;
        unsigned int prism        :1;
        unsigned int cone         :1;
        unsigned int disc         :1;
        unsigned int blob         :1;
       } primitives;

// path defines
struct {
        unsigned int b_spline     :1;
        unsigned int nurbs        :1;
        unsigned int bezier       :1;
       } path_types;

// Atmosphere
struct {
        unsigned int fog          :1;     
        unsigned int depth_cue    :1;           
        unsigned int rainbow      :1;     // from the POV source parse.h
        unsigned int skysphere    :1;     // from the POV source parse.h
       }atmosphere;

// Materials
struct {
        unsigned int bump         :1;
        unsigned int specular     :1;
        unsigned int shininess    :1;
        unsigned int transparenty :1;
        unsigned int mask         :1;
        unsigned int texture_tile :1;
       }materials;

// Geometry       
struct {
        unsigned int primitives   :1;
        unsigned int mesh         :1;     // implies polgyon usage
        unsigned int bezier_patch :1;  
        unsigned int voxel        :1;  
       }geometry;

// Render methods
struct {
        unsigned int wire         :1;  
        unsigned int flat         :1;    
        unsigned int gouraud      :1;
        unsigned int phong        :1;   
        unsigned int metal        :1;  
       }render_methods;

// Extra Info
struct {
        unsigned links            :1;  // think of VRML (urls)
        unsigned text             :1;  // file can contain info text
        unsigned author           :1;  // file can contain author info 
       }extra_info;
       */

// Information types
#define PRIMITIVES     0x0001
#define PATHS          0x0002 
#define MATERIALS      0x0003 
#define ATMOSPHERE     0x0004
#define GEOMETRY       0x0005
#define RENDER_METHODS 0x0006
#define EXTRA_INFO     0x0007

// accuracy specifiers
#define INT                     0
#define FLOAT                   1
#define DOUBLE                  2



class FormatInfo
{
public:
  FormatInfo( void );
  ~FormatInfo();

  //void           set_accuracy (unsigned char);
  //unsigned char  get_accuracy (unsigned char);

  unsigned short is_group_supported (unsigned short);
  void           add_support (unsigned short, unsigned short);
  void           remove_support (unsigned short,   unsigned short);
  void           set_polysize (unsigned char);
  unsigned char  get_polysize (void);

private:
  //unsigned char accuracy; // float,int,....

  /*
  struct primitives; 
  struct paths;     
  struct materials;
  struct atmosphere;
  struct geometry;
  struct render_methods;
  struct extra_info;
  */
    //Maximum number of vertices in poly. (0 means no max)
  unsigned char polygon_size; 

};


#endif
