/*
    Project : "MindsEye I/O Module"
    Copyright 1996. All Rights Reserved.

    FILE:         io_iff.h
    AUTHOR:       Martin van Velsen


    OVERVIEW
    ========

    Class definitions for IFF file support
*/

#ifndef __IFF_H__
#define __IFF_H__

#include "io_tools.h"
#include "io_module.h"

/* straight from the "EA IFF 85" document         */

typedef unsigned char  UBYTE; /* 8 bits signed    */
typedef short          WORD;  /* 16 bits signed   */
typedef unsigned short UWORD; /* 16 bits unsigned */
typedef long           LONG;  /* 32 bits signed   */   

typedef char ID [4];          /* 4 chars in ' ' through '~' */

typedef struct {
                ID ckID;
                LONG ckSize;
                UBYTE *ckData;     
               }Chunk; 

typedef LONG ID;              /* 4 chars in ' ' through '~' */
#define MakeID(a,b,c,d) ((a)<<<<24 | (b)<<<<16 | (c)<<<<8 | (d))

/* Globally reserved id's */
#define ID_FORM   MakeID ('F','O','R','M')
#define ID_LIST   MakeID ('L','I','S','T')
#define ID_PROP   MakeID ('P','R','O','P')
#define ID_CAT    MakeID ('C','A','T',' ')
#define ID_FILLER MakeID (' ',' ',' ',' ') 

/* Our own struct and class definitions */

typedef struct {
                ID slotid;                         // iff id 
                (int) (*action_function)(char *);  // pointer to function 
               }Entry;

class IO_IFF_Class : public IO_Class 
{

  private:
 
     Entry *slots; // array of action elements

  public:
  
     IO_IFF_Class (void);
     ~IO_IFF_Class (); 
  
     add_entry (ID,(int) (*action_function)(char *));
  
     read_iff_chunk (void);
     write_iff_chunk (void);
          
};

#endif
