/*
 * Project : "MindsEye, 3D library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. van Velsen
 *
 * $Id: io_module.h,v 1.4 1998/07/23 20:16:02 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __IO_MODULE_H_
#define __IO_MODULE_H_

class IO_BaseClass;

extern IO_BaseClass* create3dmfFilter( void );
extern IO_BaseClass* createPovFilter( void );
extern IO_BaseClass* createRibFilter( void );
extern IO_BaseClass* createNffFilter( void );
extern IO_BaseClass* createMe3dFilter( void );


#define MAX_FILE_LENGTH   256

#define ACTION_SAVE 0
#define ACTION_LOAD 1

#define _3D_DATA  0
#define ANIMATION 1
#define MATERIAL  2
#define IMAGE     3
#define CONFIG    4

#define FORMAT_BINARY 0
#define FORMAT_TEXT   1

#define IO_AUTOMATIC        0x0   // Let MindsEye find out the right type
#define IO_FORMAT_POV       0x100 // Persistence Of Vision, POVRAY
#define IO_FORMAT_3DSBIN    0x200 // Autodesk 3d-studio format ( binary )
#define IO_FORMAT_3DSASC    0x300 // Autodesk 3d-studio format ( ascii  ) 
#define IO_FORMAT_ALIAS     0x400 // Alias Wavefront
#define IO_FORMAT_LW        0x500 // LightWave
#define IO_FORMAT_SOFTIM    0x600 // SoftImage
#define IO_FORMAT_RIB       0x700 // Renderman
#define IO_FORMAT_OBJ       0x800 // Object format
#define IO_FORMAT_NFF       0x900 // Neutral file format
#define IO_FORMAT_VRML      0xA00 // VRML 
#define IO_FORMAT_DXF       0xB00 // Autodesk DXF format
#define IO_FORMAT_MAX       0xC00 // Kinetix 3d-studio MAX format
#define IO_FORMAT_TRUESP    0xD00 // Caligari TrueSpace
#define IO_FORMAT_3DMF      0xE00 // Quickdraw 3DMF format
#define IO_FORMAT_AC3D     0x1000 // AC3D format
#define IO_FORMAT_ME3D     0x1100 // MindsEyes's own format

#define FILE_DONE               0
#define FILE_WRITEERROR         1
#define FILE_DATACORRUPT        2

#define FILE_VALIDFORMAT        0
#define FILE_WRONGFORMAT        1
#define FILE_NOTCHECKABLE       2
#define FILE_WRONGVERSION       3
#define FILE_TYPENOTSUPPORTED   4
#define FILE_FUNCTIONNOTDEFINED 5

#define FILE_READERROR          1
#define FILE_DATACORRUPT        2
#define FILE_UNEXPECTEDEOF      3

#define READ_SUCCESS            0
#define READ_ERROR              1

#define WRITE_SUCCESS           0
#define WRITE_ERROR             1

#define NOT_SUPPORTED           1 
#define SUPPORTED               0   


#endif
