/*
 * Project : "MindsEye, IO library"
 * Copyright (c)1996, 1997. All Rights Reserved.
 * Author(s): M. Kuball
 *
 * $Id: nffobjects.h,v 1.7 1998/03/08 17:24:04 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERWIE
 * =======
 * Declaration of classes representing nff objects
 *
 */

#ifndef __NFFOBJECTS_H__
#define __NFFOBJECTS_H__

#include "ostream.h"
#include "3dlib/t_fields.h"

class G3DMatrix;
class G3DATexture;

extern void writeBox( ostream&, Param* );
extern void writeCone( ostream&, Param* );
extern void writeCylinder( ostream&, Param* );
extern void writeLight( ostream&, G3DLight* );
extern void writePolygon( ostream&, Param* );
extern void writeSphere( ostream&, Param* );
extern void writeTexture(  ostream &os, const G3DATexture* );
extern void writeTorus( ostream&, Param* );
//extern void writeTrigrid( ostream&, Param* );


#endif
