/*
 * vi:ts=4:sw=4:
 *
 * Project : "Config Manager"
 * Copyright 1996. All Rights Reserved.
 * 
 * $RCSfile: parse_tools.h,v $
 *
 * $Revision: 1.1.1.1 $
 * 
 * $Author: source $ 
 * 
 * $Locker:  $
 * 
 * $State: Exp $
 * 
 * 
 * COPYRIGHT
 * =========
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 *
 */

#ifndef __PARSER_TOOLS__
#define __PARSER_TOOLS__

#include <m_config.h>

//#define __DEBUG_CALLBACK__ 1

/// This function strips the tokens from the parser of any unwanted charakters
char *remove_delimit (char *);

///>--------- token callback functions

/// Token callback which requests a new group from the config manager
void create_group (ConfigClass *,char *);
/// Token callback which requests a new variable from the config manager
void create_var   (ConfigClass *,char *);

/// Token callback which requests a new integer from the config manager
void add_integer  (ConfigClass *,int);
/// Token callback which requests a new float from the config manager
void add_float    (ConfigClass *,float);
/// Token callback which requests a new string from the config manager
void add_string   (ConfigClass *,char *);

#endif // __PARSER_TOOLS__
