/*
 * Project : "MindsEye"
 * Copyright (c) 1996, 1997. All Rights Reserved.
 * Author(s):  M. Kuball
 * 
 * $Id: init3d.cpp,v 1.2 1998/07/23 20:16:16 source Exp $
 *
 *
 * COPYRIGHT
 * ========= 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#include "m_core.h"
#include "init_queues.h"
#include "material/matw_mtl.h"
#include "material/matw_generic.h"

MEMaterialWidget* createGenericWidget( QWidget* );
MEMaterialWidget* createMetalWidget( QWidget* );


void
initAttributeWidgets( MCore *kernel )
{
  
  //TODO get from config dbase if povray is installed and where
  TMatWidget *pair;

  pair = new TMatWidget;
  pair->name    = MEMatWidgetGeneric::GetName();
  pair->factory = createGenericWidget;
  kernel->addAttributeWidget( pair );

  pair = new TMatWidget;
  pair->name    = MEMatWidgetMetal::GetName();
  pair->factory = createMetalWidget;
  kernel->addAttributeWidget( pair );
}


MEMaterialWidget*
createGenericWidget( QWidget *parent )
{
  return( new MEMatWidgetGeneric(parent) );
}

MEMaterialWidget*
createMetalWidget( QWidget *parent )
{
  return( new MEMatWidgetMetal(parent) );
}


//====================================END=================================
