/*
 * vi:ts=4:sw=4:
 *
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * Author(s) M. van Velsen
 *
 * $Id: m_kmap.h,v 1.4 1998/05/14 20:23:15 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * This is the visual representation of the kernel and it's main modules 
 * Clicking on one of the buttons will load that module and activate it
 * 
 * NOTE: This is NOT the kernel itself !!!!
 *
 */

#ifndef __MKERNEL_WIDGET_H__
#define __MKERNEL_WIDGET_H__

#include <qwidget.h>
//#include <qmsgbox.h>
//#include <qpainter.h>
//#include <qpixmap.h>



class MKernelWidget : public QWidget
{
    Q_OBJECT
    
public:
    MKernelWidget( QWidget *parent, const char *name );        

signals:
    void toggle_module(int);     

protected:
    void init( void );

private slots:
    void toggleModule( int );
    
};

#endif // __MKERNEL_WIDGET_H__
