/*
 * vi:ts=4:sw=4:
 *
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * 
 * $RCSfile: m_message.cpp,v $
 *
 * $Revision: 1.1.1.1 $
 * 
 * $Author: source $ 
 * 
 * $Locker:  $
 * 
 * $State: Exp $
 * 
 * 
 * COPYRIGHT
 * =========
 * 
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 * Here you will find another kernel feature, a message subsystem.
 * The kernel is not aware of the contents of the message or the
 * parties involved. All it does is:
 *
 * send message: from module_id -> to module_id
 *
 *
 */

#ifdef HAVE_CONFIG_H
#include "include/config.h"
#endif	 // HAVE_CONFIG_H

#include "m_message.h"

MMessageServer *message_system;



/*---------------------------------------------------------------------------*/ 
MMessageServer::MMessageServer (int q_size)
{
  queue_size   = q_size;
  queue_top    = NULL;
  queue_bottom = NULL;
}
/*---------------------------------------------------------------------------*/ 
MMessageServer::~MMessageServer ()
{
 // delete queue

}
/*---------------------------------------------------------------------------*/ 
void MMessageServer::receive_message (struct message *m)
{


}
/*---------------------------------------------------------------------------*/ 



/*---------------------------------------------------------------------------*/ 
MMessageHandler::MMessageHandler (void)
{

}
/*---------------------------------------------------------------------------*/ 
MMessageHandler::~MMessageHandler ()
{

}
/*---------------------------------------------------------------------------*/ 
void MMessageHandler::handle_message (message *m)
{
  process_message (m);
  remove_message (m);
}
/*---------------------------------------------------------------------------*/ 
void MMessageHandler::process_message (message *m)
{
  // pffft just throw it away
}
/*---------------------------------------------------------------------------*/ 
void MMessageHandler::remove_message (message *m)
{

}
/*---------------------------------------------------------------------------*/ 
struct message *MMessageHandler::create_message (int type,
                                                 int from_m,
                                                 int to_m,
                                                 char *mess)
{
  struct message *new_message = new message;

  new_message->message_id    = type;
  new_message->from_module   = from_m;
  new_message->to_module     = to_m;
  new_message->contents      = (char *) malloc (strlen (mess)+1);
  strcpy (new_message->contents,mess);
  new_message->mess_length   = strlen (mess);

  return (new_message);
}
/*---------------------------------------------------------------------------*/ 
void MMessageHandler::post_message (struct message *m)
{
  message_system->receive_message (m);
}
/*---------------------------------------------------------------------------*/ 
