#include "category.h"

#include <assert.h>

////////////////////
Category::Category(const char *pCategoryName) : mCategoryName(pCategoryName) {}

void Category::addClassInfo(ClassInfo *ci) 
{ 
  mClassInfo.reserve(mClassInfo.size()+1);
  mClassInfo.push_back(ci); 
}

const char *Category::categoryName() const { return mCategoryName.c_str(); }

int Category::numClassInfos() const { return mClassInfo.size(); }
ClassInfo *Category::operator[] (int i) { return mClassInfo[i]; }

////////////////////

void CategoryList::addClassInfo(const char *pCategoryName, ClassInfo *ci)
{
  //  cerr << "[CategoryList::addClassInfo] (" << pCategoryName << ", " << ci->className() << ")" << endl;

  Category *tCategory=0;
  for (unsigned i=0; i<mCategories.size(); i++) 
  {
    if (strcmp(mCategories[i]->categoryName(), pCategoryName) == 0) 
    {
      tCategory = mCategories[i];
      break;
    }      
  }      // if category 'pCategoryName' doesn't exists create it..

  if (!tCategory) {
    tCategory = new Category(pCategoryName);
    mCategories.push_back(tCategory);
  }
  tCategory->addClassInfo(ci);
}

int CategoryList::numCategories() const { return mCategories.size(); }
Category *CategoryList::operator[] (int i) const { return mCategories[i]; }

Category *CategoryList::operator[] (const char *pCategory) const
{
  for (int i=0; i<numCategories(); i++)
    if (strcmp(mCategories[i]->categoryName(), pCategory) == 0)
      return mCategories[i];
  return NULL;
}

////////////////////
SuperClassEntry::SuperClassEntry(SClassID superClassID) 
  : mSuperClassID(superClassID), 
    mCaList(0) 
{
}

SuperClassEntry::~SuperClassEntry()
{
  if (mCaList) delete mCaList;
}

void SuperClassEntry::setCategoryList(CategoryList *cl) { mCaList=cl; }
CategoryList *SuperClassEntry::getCategoryList() { return mCaList; }

//////////
