#ifndef __EOCATEGORY_H__
#define __EOCATEGORY_H__

#include <std/string.h>
#include <vector>
#include "classinfo.h"

////////////////////
class Category
{
public:
  Category(const char *);

  const char *categoryName() const;
  
  void addClassInfo(ClassInfo *);
  int numClassInfos() const;
  ClassInfo *operator[] (int);
private:
  string               mCategoryName;
  vector<ClassInfo *>  mClassInfo;
};

////////////////////
class CategoryList
{
public:

  void addClassInfo(const char *, ClassInfo *);

  int numCategories() const;
  Category *operator[] (int) const;
  Category *operator[] (const char *) const;
private:
  vector<Category *>  mCategories;
};

////////////////////
class SuperClassEntry
{
public:
  SuperClassEntry(SClassID);
  ~SuperClassEntry();

  SClassID superClassID() const { return mSuperClassID; }

  void setCategoryList(CategoryList *);
  CategoryList *getCategoryList();
private:
  SClassID       mSuperClassID;
  CategoryList  *mCaList;
};


#endif
