#include "classinfo.h"

////////////////////////////////////////

class TargetCamClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

class FreeCamClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

static TargetCamClassInfo sTargetCamClassInfo;
static FreeCamClassInfo sFreeCamClassInfo;

////////////////////////////// TargetCamClassInfo

bool TargetCamClassInfo::isPublic() { return true; }
void *TargetCamClassInfo::create(bool) { return (void *)0; }
const char *TargetCamClassInfo::className() { return "Target"; }
SClassID TargetCamClassInfo::superClassID() { return CAMERA_CLASS_ID; }
ClassID TargetCamClassInfo::classID() { return ClassID(TARGET_CAM_CLASS_ID, 0); }
const char *TargetCamClassInfo::category() { return "Standard Cameras"; }

////////////////////////////// FreeCamClassInfo

bool FreeCamClassInfo::isPublic() { return true; }
void *FreeCamClassInfo::create(bool) { return (void *)0; }
const char *FreeCamClassInfo::className() { return "Free"; }
SClassID FreeCamClassInfo::superClassID() { return CAMERA_CLASS_ID; }
ClassID FreeCamClassInfo::classID() { return ClassID(FREE_CAM_CLASS_ID, 0); }
const char *FreeCamClassInfo::category() { return "Standard Cameras"; }

////////////////////////////////////////

void libInit()
{
}

int libNumClasses()
{ 
  return 2;
}

ClassInfo *libClassInfo(int i)
{ 
  switch (i) {
  case 0:
    return &sTargetCamClassInfo;
  case 1:
    return &sFreeCamClassInfo;
  default:
    return 0;
  }
}

const char *libDescription()
{ 
  return "ehno Target/Free Camera";
}

unsigned libVersion()
{ 
  return EHNO_VERSION;   // don't return getEhnoVersion() here (!)
} 


////////////////////////////////////////
