#include "classinfo.h"

//////////////////////////////////////// CYLINDER

class CylinderClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

static CylinderClassInfo sCylinderClassInfo;

////////////////////////////// CylinderClassInfo

bool CylinderClassInfo::isPublic() { return true; }
void *CylinderClassInfo::create(bool) { return (void *)0; }
const char *CylinderClassInfo::className() { return "Cylinder"; }
SClassID CylinderClassInfo::superClassID() { return GEOMOBJ_CLASS_ID; }
ClassID CylinderClassInfo::classID() { return ClassID(CYLINDER_CLASS_ID, 0); }
const char *CylinderClassInfo::category() { return "Standard Primitives"; }

////////////////////////////////////////

//////////////////////////////////////// TUBE

class TubeClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

static TubeClassInfo sTubeClassInfo;

////////////////////////////// TubeClassInfo

bool TubeClassInfo::isPublic() { return true; }
void *TubeClassInfo::create(bool) { return (void *)0; }
const char *TubeClassInfo::className() { return "Tube"; }
SClassID TubeClassInfo::superClassID() { return GEOMOBJ_CLASS_ID; }
ClassID TubeClassInfo::classID() { return ClassID(TUBE_CLASS_ID, 0); }
const char *TubeClassInfo::category() { return "Standard Primitives"; }

////////////////////////////////////////

void libInit()
{
}

int libNumClasses()
{ 
  return 2;
}

ClassInfo *libClassInfo(int i)
{ 
  switch (i) {
  case 0:
    return &sCylinderClassInfo;
    break;
  case 1:
    return &sTubeClassInfo;
  }
  return 0;
}

const char *libDescription()
{ 
  return "ehno Cylinder/Tube";
}

unsigned libVersion()
{ 
  return EHNO_VERSION;   // don't return getEhnoVersion() here (!)
} 


////////////////////////////////////////
