#include "classinfo.h"

#define IMP3DS_CLASS_ID1    980228
#define IMP3DS_CLASS_ID2    022655

////////////////////////////////////////

class Imp3DSClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

static Imp3DSClassInfo sImp3DSClassInfo;

////////////////////////////////////////////////////////////////////////////////

////////////////////////////// Imp3DSClassInfo

bool Imp3DSClassInfo::isPublic() { return true; }
void *Imp3DSClassInfo::create(bool) { return (void *)0; }
const char *Imp3DSClassInfo::className() { return "3DSImport"; }
SClassID Imp3DSClassInfo::superClassID() { return SCENE_IMPORT_CLASS_ID; }
ClassID Imp3DSClassInfo::classID() { return ClassID(IMP3DS_CLASS_ID1, IMP3DS_CLASS_ID2); }
const char *Imp3DSClassInfo::category() { return ""; }

////////////////////////////////////////

void libInit()
{
}

int libNumClasses()
{ 
  return 1;
}

ClassInfo *libClassInfo(int)
{ 
  return &sImp3DSClassInfo;
}

const char *libDescription()
{ 
  return "ehno 3D Studio import";
}

unsigned libVersion()
{ 
  return EHNO_VERSION;   // don't return getEhnoVersion() here (!)
} 


////////////////////////////////////////
