#include "classinfo.h"

#define KNOT_CLASS_ID1    0x090198
#define KNOT_CLASS_ID2    0x233111

////////////////////////////////////////

class KnotClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

static KnotClassInfo sKnotClassInfo;

////////////////////////////// KnotClassInfo

bool KnotClassInfo::isPublic() { return true; }
void *KnotClassInfo::create(bool) { return (void *)0; }
const char *KnotClassInfo::className() { return "Knot"; }
SClassID KnotClassInfo::superClassID() { return GEOMOBJ_CLASS_ID; }
ClassID KnotClassInfo::classID() { return ClassID(KNOT_CLASS_ID1, KNOT_CLASS_ID2); }
const char *KnotClassInfo::category() { return "Extended Primitives"; }

////////////////////////////////////////

void libInit()
{
}

int libNumClasses()
{ 
  return 1;
}

ClassInfo *libClassInfo(int)
{ 
  return &sKnotClassInfo;
}

const char *libDescription()
{ 
  return "ehno Knot";
}

unsigned libVersion()
{ 
  return EHNO_VERSION;   // don't return getEhnoVersion() here (!)
} 


////////////////////////////////////////
