#include "classinfo.h"

////////////////////////////////////////

class OmniLightClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

static OmniLightClassInfo sOmniLightClassInfo;

////////////////////////////// OmniLightClassInfo

bool OmniLightClassInfo::isPublic() { return true; }
void *OmniLightClassInfo::create(bool) { return (void *)0; }
const char *OmniLightClassInfo::className() { return "Omni"; }
SClassID OmniLightClassInfo::superClassID() { return LIGHT_CLASS_ID; }
ClassID OmniLightClassInfo::classID() { return ClassID(OMNI_LIGHT_CLASS_ID,0); }
const char *OmniLightClassInfo::category() { return "Standard Lights"; }

////////////////////////////////////////

void libInit()
{
}

int libNumClasses()
{ 
  return 1;
}

ClassInfo *libClassInfo(int)
{ 
  return &sOmniLightClassInfo;
}

const char *libDescription()
{ 
  return "ehno OmniLight";
}

unsigned libVersion()
{ 
  return EHNO_VERSION;   // don't return getEhnoVersion() here (!)
} 


////////////////////////////////////////
