#include "classinfo.h"

////////////////////////////////////////

class SphereClassInfo : public ClassInfo
{
public:
  bool        isPublic();
  void       *create(bool =false);
  const char *className();
  SClassID    superClassID();
  ClassID     classID();
  const char *category();
};

static SphereClassInfo sSphereClassInfo;

////////////////////////////// SphereClassInfo

bool SphereClassInfo::isPublic() { return true; }
void *SphereClassInfo::create(bool) { return (void *)0; }
const char *SphereClassInfo::className() { return "Sphere"; }
SClassID SphereClassInfo::superClassID() { return GEOMOBJ_CLASS_ID; }
ClassID SphereClassInfo::classID() { return ClassID(SPHERE_CLASS_ID,0); }
const char *SphereClassInfo::category() { return "Standard Primitives"; }

////////////////////////////////////////

void libInit()
{
}

int libNumClasses()
{ 
  return 1;
}

ClassInfo *libClassInfo(int)
{ 
  return &sSphereClassInfo;
}

const char *libDescription()
{ 
  return "ehno Sphere";
}

unsigned libVersion()
{ 
  return EHNO_VERSION;   // don't return getEhnoVersion() here (!)
} 


////////////////////////////////////////
