/*
 * Project : "MindsEye"
 * Copyright 1996, 1998. All Rights Reserved.
 * Author(s) Frank Meier, M. Kuball
 *
 * $Id: m_core.h,v 1.6 1998/03/19 21:22:31 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef __EODLL_H__
#define __EODLL_H__

#include <vector>

#include "classinfo.h"


class DllInfo
{
public:
  DllInfo( void *, const char *, const char* );

  void       free( void );
  const char *getDescription( void ) const { return( desc_ ); }

  //bool        operator== (const DllInfo&);

protected:
  void       *mHandle;
  const char *mDllFilename;
  const char *desc_;
};


////////////////////////////////////////


class MEPluginManager
{
public:
  MEPluginManager( void ) : plugins_(0) {}
  ~MEPluginManager();

  int       numDllsLoaded() const;
  DllInfo&  operator[] (int);

  bool      loadDllsFromDir(const char *dir, const char *wildcard);
  void      unloadAllDlls();

  void print();

protected:
  void      loadDll(const char *);

protected:
  vector<DllInfo *> plugins_;

};


#endif
