/*
 * Project : "MindsEye"
 * Copyright (c) 1996 - 1998. All Rights Reserved.
 * Author(s) M. Kuball
 *
 * $Id: $
 * 
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef __PROP_DLG_H__
#define __PROP_DLG_H__


#include <qtabdlg.h>
#include "m_module.h"


class G3DObject;
class G3DScene;

/*
class ObjectProperties
{
public:
  ObjectProperties();

  void setObject( G3DObject* );

protected:
  G3DObject *object_;

};
*/

/**The base class for all property dialogs.
 */
class PropertyDialog : public QTabDialog
{
  Q_OBJECT

public:
  PropertyDialog( QWidget *p, const char *n ) : QTabDialog(p, n) {};
  virtual ~PropertyDialog();

  ///
  virtual void addPages( void );

public slots:
  void hideWindow( void );
};



/**The base class for all property dialogs for 3d objects.
 */
class ObjectProperties : public PropertyDialog
{
  Q_OBJECT

public:
  ObjectProperties( QWidget *p, const char *n );

  ///
  virtual void addPages( void );
  virtual void setObject( G3DObject* );

protected:
  QWidget   *_apage, *_gpage;

  G3DObject *_obj;
};


#include "3dlib/color.h"

class QMultiLineEdit;
class QPushButton;
class G3DScene;

class MESceneInfo : public QWidget
{
  Q_OBJECT

public:
  MESceneInfo( QWidget* );

  void applyValues( G3DScene* );

protected slots:
  void setBgColor();

protected:
  QPushButton    *colButton_;
  QMultiLineEdit *infoEditor_;
  G3DColor       bgColor_;
};


/**A property dialog to display global information about a scene.
 */
class ScenePropertiesDlg : public PropertyDialog
{
  Q_OBJECT

public:
  ScenePropertiesDlg( G3DScene* );

protected slots:
  void applyValues();

protected:
    ///The dialog displays information about this 3d object
  G3DScene *scene_;

  QWidget        *apage_;
  MESceneInfo    *dpage_;
};


#endif
