/*
 *
 *---------------------------------------------------------------------------
 *   _      _    _    _     _   _____    _____    ______         _  ______
 *  | \    / |  | |  | |   | | |  __ \  | ____|  |  ____| /\    / /|  ____|
 *  |  \  /  |  |_|  | \   | | | |  \ \ ||       | |      \ \  / / | |
 *  | \ \/ / |   _   |  \  | | | |   \| ||       | |       \ \/ /  | |
 *  | |\  /| |  | |  | \ \ | | | |   || ||_____  | |__      \  /   | |__
 *  | | \/ | |  | |  | |\ \| | | |   || |_____ | |  __|     / /    |  __|
 *  | |    | |  | |  | | \ \ | | |   ||       || | |       / /     | | 
 *  | |    | |  | |  | |  \  | | |   ||       || | |      / /      | |
 *  | |    | |  | |  | |   \ | | |__/ /  _____|| | |____ / /       | |_____
 *  |_|    |_|  |_|  |_|   |_| |_____/  |______| |______|\/        |_______|
 * 
 *---------------------------------------------------------------------------
 *
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * Atuhor(s): M. van Velsen
 * 
 * $Id: main.cpp,v 1.5 1998/07/23 20:15:45 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * 
 * OVERVIEW
 * ========
 * This code fires up the kernel and handles all error messages returned by
 * it. When no config file is found the main function will run setup code
 * which asks the user for certain pieces of information.
 *
 */

#include "kernel/m_core.h"

const char * CopyrightMessage =
"MindsEye comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
This is free software, and you are welcome to redistribute it
under certain conditions; type `show c' for details.";

template class QArrayT<char>;


/*---------------------------------------------------------------------------*/
int main (int argc, char **argv)
{
  MCore *MindsEye = MCore::loadKernel( argc, argv );
 
  if (MindsEye != NULL)
    {
      MindsEye->run();
      //TODO delete MindsEye;  shut down all modules
    }
  else
    fprintf (stderr,"Error loading MindsEye kernel!, exiting\n");   
}
/*---------------------------------------------------------------------------*/
