/*
 * Project : "MindsEye"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. van Velsen, M. Kuball
 *
 * $Id: m_mat.h,v 1.4 1998/06/22 20:12:42 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef __MMATERIAL_H__
#define __MMATERIAL_H__

#include <qframe.h>
#include <qwidget.h>
#include <qlined.h>

#include "m_matv.h"
#include "kernel/m_module.h"

class MEMaterialWidget;
class G3DATexture;
class QComboBox;
class QHBoxLayout;
class QVBoxLayout;
class QLabel;
class QPushButton;


/**The material editor consists of 5 preview widgets and a widget
  to edit the texture. The edited texture affecs the selected (active)
  preview widget only.
  */
class MEMaterialEditor : public MEModule
{
   Q_OBJECT

public:
   MEMaterialEditor( int, int );
   ~MEMaterialEditor ();

   struct module_info* get_module_info( void );
   const G3DATexture*  getMaterial( int i ) const;

public slots:
     ///User has selected a preview widget
   void setActivePreview(int);
   void setMaterial();

protected slots:
   void closeIt();
   void createLayout( int );

private:        
   void createPreviews( void );

private:
   MEMaterialViewport *preView_[5];
   MEMaterialWidget   *matWidget_;

   QFrame      *previewFrame_;
   QVBoxLayout *gmMain_;
   QHBoxLayout *gmh1_, *gmh2_;
   QLabel      *label_;
   QComboBox   *selType_;
   QPushButton *closeButton_;

   int         active_;    //number of active preview widget
};

#endif




