/*
 * Project : MindsEye, material editor
 * Copyright (c) 1996 - 1998
 * Author(s): M. van Velsen, M. Kuball
 * 
 * $Id: m_matv.h,v 1.2 1998/06/22 20:12:43 source Exp $
 * 
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef __MMATERIAL_VIEWPORT_H__
#define __MMATERIAL_VIEWPORT_H__

#include <qgl.h>
#include <GL/gl.h>
#include <GL/glu.h>

class G3DATexture;

/**Preview the choosen material.
 */
class MEMaterialViewport : public QGLWidget
{
   Q_OBJECT

public:
   MEMaterialViewport( int, QWidget *parent=0, const char *name=0 );
   ~MEMaterialViewport ();
   
   const G3DATexture* getMaterial( void ) const;
   void setMaterial( const G3DATexture* );

signals:
     ///num_ is used as parameter.
   void activated(int);

protected: 
   void mouseReleaseEvent( QMouseEvent* );
   void resizeGL( int, int );
   void paintGL();
   void init( int, int );
   void auxSolidSphere( GLdouble ) const;

private:
     /**The quad object is created by the first invocation of the constructor
       and kept until the termination of the program.*/
   static GLUquadricObj *QuadObj_;

   G3DATexture *material_;
   int         num_;
//TODO G3DS_Shape *object_;
};


#endif
