/**********************************************************************

	--- Qt Architect generated file ---

	File: matw_uni.cpp
	Last generated: Tue Jun 9 14:13:02 1998

 *********************************************************************/

#include "matw_generic.h"
#include "3dlib/t_fields.h"
#include "dialogs/color/colorpicker.h"

#define Inherited MEMatWidgetGenericData

MEMatWidgetGeneric::MEMatWidgetGeneric
(
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name )
{
  setFrameStyle( WinPanel | Sunken );
  trackDiffuse_ = true;
  initWidget();
}


MEMatWidgetGeneric::~MEMatWidgetGeneric()
{
}


const char*
MEMatWidgetGeneric::GetName( void )
{
  return( "generic Material" );
}

const G3DATexture*
MEMatWidgetGeneric::getMaterial() const
{
  return( &material_ );
}

void
MEMatWidgetGeneric::initWidget( void )
{
  Param  params[5];
  QColor   col;
  G3DColor *mcol;

  material_.getParameter( params );
  mcol = params[0].color;
  col.setRgb( mcol->red(), mcol->green(), mcol->blue() );
  ambient_->setPalette( QPalette(col) );
  mcol = params[1].color;
  col.setRgb( mcol->red(), mcol->green(), mcol->blue() );
  diffuse_->setPalette( QPalette(col) );
  mcol = params[2].color;
  col.setRgb( mcol->red(), mcol->green(), mcol->blue() );
  specular_->setPalette( QPalette(col) );
}

void
MEMatWidgetGeneric::setAmbient()
{
  QColor col;

  MEColorPicker::colorFromUser( &col );
  ambient_->setPalette( QPalette(col) );
  G3DColor mcol( col.red(), col.green(), col.blue() );
  material_.setAmbientColor( mcol );

  emit changed();
}

void
MEMatWidgetGeneric::setDiffuse()
{
  QColor col;

  MEColorPicker::colorFromUser( &col );
  diffuse_->setPalette( QPalette(col) );
  G3DColor mcol( col.red(), col.green(), col.blue() );
  material_.setDiffuseColor( mcol );
  if( trackDiffuse_ )
    {	
      specular_->setPalette( QPalette(col) );
      material_.setSpecularColor( mcol );
    }

  emit changed();
}

void
MEMatWidgetGeneric::setShininess()
{
  QString str = shininess_->text();
  float sh = str.toFloat();
  if( sh < 0.0 )
    sh = 0;
  else if( sh > 128.0 )
    sh = 128.0;
  str.setNum( sh );
  shininess_->setText( str );
  material_.setShininess( sh );

  emit changed();
}

void
MEMatWidgetGeneric::setSpecular()
{
  QColor col;

  MEColorPicker::colorFromUser( &col );
  specular_->setPalette( QPalette(col) );
  G3DColor mcol( col.red(), col.green(), col.blue() );
  material_.setSpecularColor( mcol );

  emit changed();
}

void
MEMatWidgetGeneric::setMaterial( const G3DATexture *mat )
{
  material_.setValues( mat );
  initWidget();
}

void
MEMatWidgetGeneric::trackDiffuse( bool val )
{
  trackDiffuse_ = val;
  if( val )
    {
      const QColor &col = diffuse_->backgroundColor();
      specular_->setPalette( QPalette(col) );
      G3DColor mcol( col.red(), col.green(), col.blue() );
      material_.setSpecularColor( mcol );
    }
}


//==================================END================================
