/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: animWidget.h,v 1.1 1998/05/06 19:45:09 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _ANIMATION_WIDGET_H_
#define _ANIMATION_WIDGET_H_

#define red stl_red
#define black stl_black
#include <set>
#undef red
#undef black

#include <qwidget.h>
#include <qframe.h>


class MModeler;
class QLineEdit;
class QCheckBox;
class G3DObject;
class QPopupMenu;


struct lflt
{
  bool operator()(float f1, float f2) const
  {
    return( f1 < f2 );
  }
};


/**A Widget which features controls to animate a scene. This includes
  a Field to set the time.
 */
class AnimationWidget: public QFrame
{
  Q_OBJECT

public:
  AnimationWidget( MModeler *model, QWidget *parent=0,const char *name=0 );

public slots:
    ///Prepare an object for animation.
  void  activate();
    ///
  void  createPopup( G3DObject*, QPopupMenu* );
    ///
  void  getAnimationData();
    ///
  void  setKeyframe( bool );
    ///
  void  setTime();

private:
  MModeler  *parentView_;
  QLineEdit *timeField_;
  QCheckBox *keyframeToggle_;
  float     time_;
  //TODO Animation context? uint      frame_;

  set<float, lflt> keyList_;
};

#endif
