/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: editTools.cpp,v 1.5 1998/07/23 20:16:18 source Exp $
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <qpushbt.h>
#include <qbttngrp.h>
#include <qpixmap.h>
#include <qcolor.h>

#include "icons/md_icons.h"
#include "dialogs/color/colorpicker.h"
#include "editTools.h"
#include "modeler.h"


/*
typedef struct {
} Btn_data;

static Btn_data button1_data[] =
{ {"Sel", select_bmp_data, select_bmp_len},
  {"Box", box_bmp_data, box_bmp_len},
}
*/



EditToolsWidget::EditToolsWidget( MModeler *parent_modeler, QWidget *parent,
			      const char *name )
  : QFrame(parent,name)
{
  //initMetaObject() ;
  setMinimumSize( 120, 52 );
  setFrameStyle( WinPanel | Raised );
  parentView_ = parent_modeler;

  QButtonGroup *bgroup = new QButtonGroup;
  bgroup->setExclusive( TRUE );

  QPushButton *btmp;
  QPixmap     pixmap;

  btmp = new QPushButton( "add", this );
    btmp->setGeometry( 2, 2, 25, 25 );
    btmp->setToggleButton( TRUE );
    bgroup->insert( btmp );
    connect( btmp, SIGNAL(pressed()), this, SLOT(addObject()) );

  btmp = new QPushButton( this );
    pixmap.loadFromData( select_bmp_data, select_bmp_len );
    btmp->setPixmap( pixmap );
    btmp->setGeometry( 32, 2, 25, 25 );
    btmp->setToggleButton( TRUE );
    btmp->setOn( TRUE );
    bgroup->insert( btmp );
    connect( btmp, SIGNAL(pressed()), this, SLOT(select()) );
  btmp = new QPushButton( "All", this );
    btmp->setGeometry( 57, 2, 25, 25 );
    bgroup->insert( btmp );
  btmp = new QPushButton( "inv", this );
    btmp->setGeometry( 82, 2, 25, 25 );
    bgroup->insert( btmp );
    //connect(selectGroup,SIGNAL(pressed(int)),SLOT(selectMode(int))) ;


  bgroup = new QButtonGroup;
  bgroup->setExclusive( TRUE );
  connect( bgroup, SIGNAL(pressed(int)), this, SLOT(trafoMode(int)) );

  btmp = new QPushButton( "m", this );
    btmp->setGeometry( 2, 30, 20, 20 );
    btmp->setToggleButton( TRUE );
    btmp->setOn( TRUE );
    bgroup->insert( btmp, MModeler::scaling );
  btmp = new QPushButton( "r", this );
    btmp->setGeometry( 22, 30, 20, 20 );
    btmp->setToggleButton( TRUE );
    bgroup->insert( btmp, MModeler::rotating );

  btmp = new QPushButton( "g", this );
    btmp->setGeometry( 70, 30, 20, 20 );
    btmp->setToggleButton( TRUE );
    connect( btmp, SIGNAL(clicked()), parent, SLOT(toggleGridSnap()) );
  btmp = new QPushButton( "a", this );
    btmp->setGeometry( 90, 30, 20, 20 );
    btmp->setToggleButton( TRUE );
    connect( btmp, SIGNAL(clicked()), parent, SLOT(toggleAngleSnap()) );
}


void
EditToolsWidget::addObject()
{
  parentView_->setMajorMode( MModeler::creating );
}

void
EditToolsWidget::select()
{
  parentView_->setMajorMode( MModeler::editing );
}

void
EditToolsWidget::trafoMode( int nr )  //TODO use an enum
{
  parentView_->setMinorMode( MModeler::EditMode(nr) );
}


//===================================END=================================
