/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: objectList.h,v 1.2 1998/07/23 20:16:20 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _OBJECT_LIST_H_
#define _OBJECT_LIST_H_

#include <qwidget.h>
#include <qframe.h>

class MModeler;
class QComboBox;
class QListBox;


/**
 */
class ObjectListWidget: public QFrame
{
  Q_OBJECT

public:
  ObjectListWidget( MModeler *model, QWidget *parent=0, const char *name=0 );

protected slots:
    ///
  void useObjClass(int);
    ///
  void useObjType(int);

private:
  MModeler   *_model;
  QComboBox  *_objClasses;
  QListBox   *_objTypes;
  const char *cname_;

};

#endif
