/*
 * Project : "MindsEye"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. van Velsen
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * 
 * The minimumsize of the animation viewport is set to 320x200. If an 
 * animation is smaller than this size it is centered in the viewport
 *
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif	 // HAVE_CONFIG_H

#include <qpixmap.h>
#include <qwidget.h>
#include <qframe.h>
#include <qpushbt.h>
#include <qlayout.h>
#include <qscrbar.h>
#include <qgrpbox.h>
#include <qcombo.h>
#include <qradiobt.h>

#include "icons/ma_icons.h"
#include "m_network.h"

/*---------------------------------------------------------------------------*/
MNetwork::MNetwork( int module_id, int load_t ) :
  MEModule(module_id, load_t, "MNetwork")
{
  strcpy (m_info->module_name,"Network module");
  setCaption ("Network Module");

  QGroupBox* tmpQGroupBox;
  tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
  tmpQGroupBox->setGeometry( 10, 182, 380, 112 );
  tmpQGroupBox->setFrameStyle( 49 );
  tmpQGroupBox->setTitle( "Render Machines" );
  tmpQGroupBox->setAlignment( 1 );

  tmpQGroupBox = new QGroupBox( this, "GroupBox_2" );
  tmpQGroupBox->setGeometry( 10, 68, 380, 107 );
  tmpQGroupBox->setFrameStyle( 49 );
  tmpQGroupBox->setTitle( "Render Queue" );
  tmpQGroupBox->setAlignment( 1 );

  tmpQGroupBox = new QGroupBox( this, "GroupBox_1" );
  tmpQGroupBox->setGeometry( 10, 10, 380, 50 );
  tmpQGroupBox->setFrameStyle( 49 );
  tmpQGroupBox->setTitle( "Network role" );
  tmpQGroupBox->setAlignment( 1 );

  QRadioButton* tmpQRadioButton;
  tmpQRadioButton = new QRadioButton( this, "RadioButton_1" );
  tmpQRadioButton->setGeometry( 17, 27, 73, 25 );
  {
    QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
    QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
    QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
    QPalette palette( normal, disabled, active );
    tmpQRadioButton->setPalette( palette );
  }
  {
    QFont font( "helvetica", 12, 75, 0 );
    font.setStyleHint( (QFont::StyleHint)0 );
    font.setCharSet( (QFont::CharSet)0 );
    tmpQRadioButton->setFont( font );
  }
  tmpQRadioButton->setText( "Server" );
  tmpQRadioButton->setAutoRepeat( FALSE );
  tmpQRadioButton->setAutoResize( FALSE );
  
  tmpQRadioButton = new QRadioButton( this, "RadioButton_2" );
  tmpQRadioButton->setGeometry( 100, 28, 81, 24 );
  {
    QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
    QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
    QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
    QPalette palette( normal, disabled, active );
    tmpQRadioButton->setPalette( palette );
  }
  {
    QFont font( "helvetica", 12, 75, 0 );
    font.setStyleHint( (QFont::StyleHint)0 );
    font.setCharSet( (QFont::CharSet)0 );
    tmpQRadioButton->setFont( font );
  }
  tmpQRadioButton->setText( "Client" );
  tmpQRadioButton->setAutoRepeat( FALSE );
  tmpQRadioButton->setAutoResize( FALSE );
  
  tmpQRadioButton = new QRadioButton( this, "RadioButton_3" );
  tmpQRadioButton->setGeometry( 189, 28, 88, 24 );
  {
    QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
    QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
    QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
    QPalette palette( normal, disabled, active );
    tmpQRadioButton->setPalette( palette );
  }
  {
    QFont font( "helvetica", 12, 75, 0 );
    font.setStyleHint( (QFont::StyleHint)0 );
    font.setCharSet( (QFont::CharSet)0 );
    tmpQRadioButton->setFont( font );
  }
  tmpQRadioButton->setText( "Monitor" );
  tmpQRadioButton->setAutoRepeat( FALSE );
  tmpQRadioButton->setAutoResize( FALSE );

  tmpQRadioButton = new QRadioButton( this, "RadioButton_4" );
  tmpQRadioButton->setGeometry( 285, 28, 98, 24 );
  {
    QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
    QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
    QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
    QPalette palette( normal, disabled, active );
    tmpQRadioButton->setPalette( palette );
  }
  {
    QFont font( "helvetica", 12, 75, 0 );
    font.setStyleHint( (QFont::StyleHint)0 );
    font.setCharSet( (QFont::CharSet)0 );
    tmpQRadioButton->setFont( font );
  }
  tmpQRadioButton->setText( "No network" );
  tmpQRadioButton->setAutoRepeat( FALSE );
  tmpQRadioButton->setAutoResize( FALSE );

  QPushButton* tmpQPushButton;
  tmpQPushButton = new QPushButton( this, "CancelButton" );
  tmpQPushButton->setGeometry( 10, 300, 100, 30 );
  tmpQPushButton->setText( "Cancel" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );

  tmpQPushButton = new QPushButton( this, "GoButton" );
  tmpQPushButton->setGeometry( 117, 300, 100, 30 );
  tmpQPushButton->setText( "Go" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );
	
  tmpQPushButton = new QPushButton( this, "PushButton_3" );
  tmpQPushButton->setGeometry( 18, 86, 100, 24 );
  tmpQPushButton->setText( "Add" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );
	
  tmpQPushButton = new QPushButton( this, "PushButton_4" );
  tmpQPushButton->setGeometry( 18, 114, 100, 24 );
  tmpQPushButton->setText( "Remove" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );

  tmpQPushButton = new QPushButton( this, "PushButton_5" );
  tmpQPushButton->setGeometry( 18, 143, 100, 23 );
  tmpQPushButton->setText( "Info" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );

  QComboBox* tmpQComboBox;
  tmpQComboBox = new QComboBox( FALSE, this, "ComboBox_1" );
  tmpQComboBox->setGeometry( 123, 86, 260, 24 );
  tmpQComboBox->setSizeLimit( 10 );
  tmpQComboBox->setAutoResize( FALSE );

  tmpQPushButton = new QPushButton( this, "PushButton_6" );
  tmpQPushButton->setGeometry( 17, 202, 100, 24 );
  tmpQPushButton->setText( "Add" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );
	
  tmpQPushButton = new QPushButton( this, "PushButton_7" );
  tmpQPushButton->setGeometry( 17, 231, 100, 25 );
  tmpQPushButton->setText( "Remove" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );

  tmpQPushButton = new QPushButton( this, "PushButton_8" );
  tmpQPushButton->setGeometry( 17, 261, 100, 25 );
  tmpQPushButton->setText( "Info" );
  tmpQPushButton->setAutoRepeat( FALSE );
  tmpQPushButton->setAutoResize( FALSE );

  tmpQComboBox = new QComboBox( FALSE, this, "ComboBox_2" );
  tmpQComboBox->setGeometry( 123, 202, 260, 24 );
  tmpQComboBox->setSizeLimit( 10 );
  tmpQComboBox->setAutoResize( FALSE );

  resize( 401, 340 );

}
/*---------------------------------------------------------------------------*/
MNetwork::~MNetwork ()
{


}
/*---------------------------------------------------------------------------*/ 



