/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: SkinSurf.cpp,v 1.2 1998/03/19 21:22:33 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#include <stdlib.h>
#include <stdio.h>

#include <qlabel.h>
#include <qbttngrp.h>
#include <qlined.h>
#include <qradiobt.h>
#include <qpushbt.h>

#include "SkinSurf.h"


SkinSurfWidget::SkinSurfWidget( QWidget *parent, const char *name) :
  QWidget(parent, name)
{
  initMetaObject();
  setMinimumSize(200,150);
  setMaximumSize(200,150);

  QLabel *label1 = new QLabel( "Skin surface in ", this );
  label1->setGeometry(10,10,80,20);
  
  QButtonGroup *dirGrp = new QButtonGroup(this) ;
  dirGrp->setFrameStyle(QFrame::NoFrame) ;
  QRadioButton *udir = new QRadioButton("U direction",dirGrp) ;
  QRadioButton *vdir = new QRadioButton("V direction",dirGrp) ;

  dirGrp->setGeometry(100,10,80,40) ;
  udir->setGeometry(5,0,100,15) ;
  vdir->setGeometry(5,15,100,15) ;

  dirU = 1 ;
  udir->setChecked(TRUE) ;

  QLabel *label2 = new QLabel("with a degree of ",this) ;
  label2->setGeometry(10,60,100,20) ;

  editDeg = new QLineEdit(this) ;
  editDeg->setGeometry(110,60,40,20) ;
  editDeg->setText("3") ;
  degree = 3 ;

  connect(editDeg,SIGNAL(textChanged(const char*)), SLOT(editDegree(const char*))) ;

  QPushButton *okBtn = new QPushButton("Ok",this) ;
  QPushButton *cancelBtn = new QPushButton("Cancel",this) ;
  
  okBtn->setGeometry(30,110,60,20) ;
  cancelBtn->setGeometry(130,110,60,20) ;

  connect(okBtn,SIGNAL(clicked()),SLOT(skin())) ;
  connect(cancelBtn,SIGNAL(clicked()),SLOT(hideWindow())) ;
 

  hide() ;
}

void
SkinSurfWidget::editDegree(const char* d)
{
  double a = atof(d) ;
  if( a >= 1.0 )
    degree = (int) a ;
}

void
SkinSurfWidget::hideWindow()
{
  hide() ;
}

void
SkinSurfWidget::show( MWorldObject *model )
{
  _model = model;
  QWidget::show();
}

void
SkinSurfWidget::setDirMode(int d)
{
  switch(d)
    {
    case 0: dirU = 1 ;
    case 1: dirU = 0 ;
    }
}

void
SkinSurfWidget::skin()
{
/*
  char txt[80] ;
  sprintf( txt, "%d", degree );
  editDeg->setText(txt) ;

  if(objectList->current){
    if(!objectList->current->isSelected() && 
       objectList->current->type == PlObjectGL::curveObject){
      objectList->current->select() ;
      selectedList->add(objectList->current) ;	
    }
    int ncurves;
    PlObjectRefGL *t ;
    t = (PlObjectRefGL*)selectedList->first ;
    ncurves = 0 ;
    while(t){
      if(t->ptr->type == PlObjectGL::curveObject){
	++ncurves ;
      }
      t = (PlObjectRefGL*)t->next() ;
    }
    if(ncurves>degree){
      PlNurbsCurveArray ca ;
      ca.resize(ncurves) ;
      t = (PlObjectRefGL*)selectedList->first ;
      ncurves = 0 ;
      while(t){
	if(t->ptr->type == PlObjectGL::curveObject){
	  t->ptr->applyTransform() ;
	  ca[ncurves] = *(PlNurbsCurveGL*)t->ptr ;
	  ++ncurves ;
	}
	t = (PlObjectRefGL*)t->next() ;
      }
      PlNurbsSurfaceGL *s ;
      s = new PlNurbsSurfaceGL ;
      if(dirU)
	s->skinU(ca,3) ;
      else
	s->skinV(ca,3) ;
      add(s) ;
      updateGL() ;
    }
  }
*/
  hide() ;
}




//====================================END==============================
