/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: SkinSurf.h,v 1.2 1998/03/19 21:22:34 source Exp $
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#ifndef _SKIN_SURF_H_
#define _SKIN_SURF_H_

#include <qwidget.h>

class QLineEdit;
class MWorldObject;


/**
 */
class SkinSurfWidget : public QWidget
{
  Q_OBJECT

public:
  SkinSurfWidget( QWidget *parent=0, const char *name=0 );

  void show( MWorldObject* );

public slots:
  void editDegree(const char*) ;
  void setDirMode(int) ;
  void skin() ;
  void hideWindow() ;

protected:
  QLineEdit    *editDeg ;
  MWorldObject *_model;
  int          degree, dirU ;

};


#endif
