/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie
 *
 * $Id: SorWidget.h,v 1.4 1998/05/14 20:23:19 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _SOR_WIDGET_H_
#define _SOR_WIDGET_H_

#include <qwidget.h>
#include <specialType.hh>


class AngleWidget;
class QLineEdit;
class MWorldObject;


/**This widget is used to set the parameter for a surface of revolution.
 */
class SurfOfRevWidget : public QWidget
{
  Q_OBJECT

public:
  SurfOfRevWidget( QWidget *parent=0, const char *name=0 );

  void show( MWorldObject* );

public slots:
  void changeAngle(double angl) ;
  void editAngle(const char*) ;
  void editSX(const char*) ;
  void editSY(const char*) ;
  void editSZ(const char*) ;
  void editTX(const char*) ;
  void editTY(const char*) ;
  void editTZ(const char*) ;
  void setRotationAxis(int) ;
  void sor() ;
  void hideWindow() ;

signals:
  void genSOR(const Point3D&, const Point3D&, double);

protected:
    ///
  void surfaceOfRevolution( void );

protected:
  Point3D S,T;
  int axis_mode ;
  double a,sx,sy,sz,tx,ty,tz;

  QLineEdit   *editA, *editSx, *editSy, *editSz;
  QLineEdit   *editTx, *editTy, *editTz;
  AngleWidget *aW;

  MWorldObject *_model;
};


#endif
