/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: SorWidget.cpp,v 1.1 1998/02/05 18:45:53 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _SWEEP_WIDGET_H_
#define _SWEEP_WIDGET_H_

#include <qwidget.h>

class MWorldObject;


/**A Widget to set the parameter for making a NURBS surface
   by sweeping a curve along a second curve.
  */
class SweptSurfWidget : public QWidget
{
  Q_OBJECT

public:
  SweptSurfWidget( QWidget *parent=0, const char *name=0 );

  void show( MWorldObject* );

public slots:
  void hideWindow() ;
  void sweepSurface() ;
  void editAngles(int) ;
  void editMinK(const char*) ;

protected:
  MWorldObject *_model;

  int aY,aZ ;
  int minK ;
};


#endif _NURBSWIDGET_H_
