/*
 * Project : "MindsEye, 3D library"
 * Copyright (c) 1995 - 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: InterpWidget.h,v 1.1.1.1 1997/11/22 15:59:27 source Exp $
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * OVERVIEW
 * ========
 *
 */

#ifndef _angle_widget_h_
#define _angle_widget_h_


#include <math.h>
#include <qwidget.h>


/**A widget used to select an angle.
 */
class AngleWidget: public QWidget
{
  Q_OBJECT

public:
  AngleWidget(QWidget *parent=0, const char *name=0) ;
  
  double angleDeg() const { return angle*180.0/M_PI; };
  double angleRad() const { return angle; };
  void   setRange(double as, double ae);

public slots:
  void setAngleDeg(double a) ;
  void setAngleRad(double a) ; 

signals:
  void angleChanged(double a) ; 

protected:
  void paintEvent(QPaintEvent *) ;
  void mouseMoveEvent ( QMouseEvent *) ;
  void mousePressEvent ( QMouseEvent *) ;
  //void resizeEvent( QResizeEvent * );

protected:
  double angle;
  double angleS, angleE; 

};


#endif
