/*
 * Project : "MindsEye, 3D library"
 * Copyright (c) 1995 - 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: InterpWidget.h,v 1.1.1.1 1997/11/22 15:59:27 source Exp $
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *
 * OVERVIEW
 * ========
 *
 */

#ifndef _ne_generate_h_
#define _ne_generate_h_

#include <qwidget.h>
#include <qlined.h>
//#include <nurbsGL.H>
#include "angleWidget.h"


class G3DObject;


class GenerateCircleWidget: public QWidget
{
  Q_OBJECT

public:
  GenerateCircleWidget( QWidget *parent=0, const char *name=0 );

signals:
  void newNurbs(G3DObject*);

public slots:
  void addCircle() ;
  void changeStartAngle(double) ;
  void changeEndAngle(double) ;
  void editStartAngle(const char*) ;
  void editEndAngle(const char*) ;
  void editRadius(const char*) ;
  void planeMode(int) ;
  void hideWindow() ;
  void resetValues() ;

private:
  float radius ;
  float as, ae ;
  int orientation ;

  AngleWidget *asW,*aeW ;
  QLineEdit   *editS,*editE,*editR ;

};


#endif
