/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: infoWidget.h,v 1.4 1998/03/30 20:23:48 source Exp $
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _ne_NurbsObjectWidget_h_
#define _ne_NurbsObjectWidget_h_


#include "kernel/prop_dlg.h"


enum NurbsEditMode { no_edit=0, edit_location, edit_scale, edit_cp,
		     edit_knots, edit_param, edit_point };

class QLabel;
class QListBox;
class G3DObject;

/**A Dialgo which displays information about a NURBS curve.
 */
class InfoCurveWidget: public ObjectProperties
{
  Q_OBJECT

public:
    ///
  InfoCurveWidget(QWidget *parent=0, const char *name=0 );

public slots:
    ///
  void increaseDegree();
    ///Set the object whose properties are requested and show the dialog.
  virtual void setObject( G3DObject* );

protected:
  QLabel   *degreeLabel ;
  QListBox *knotBox, *cpBox ;
};


/**A Dialog which displays information about a NURBS surface.
 */
class InfoSurfaceWidget: public ObjectProperties
{
  Q_OBJECT

public:
  InfoSurfaceWidget(QWidget *parent=0, const char *name=0 );

public slots:
  void increaseDegreeU() ;
  void increaseDegreeV() ;
  virtual void setObject( G3DObject* );

protected:
  QLabel   *degreeULabel, *degreeVLabel ;
  QListBox *knotUbox, *knotVbox, *cpBox ;

};


#endif
