/*
 * Project : "MindsEye, NURBS editor"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): P. Lavoie, M. Kuball
 *
 * $Id: toolbox.h,v 1.4 1998/01/10 13:55:35 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _TOOLBOX_H_
#define _TOOLBOX_H_

#include <qwidget.h>
#include <qframe.h>

//#include "generate.h"
//#include "angle.h"
//#include "InterpWidget.h"


class SetParamWidget : public QWidget {
  Q_OBJECT
public:
  SetParamWidget( QWidget *parent=0, const char *name=0 );

public slots:
  void editU(const char*) ;
  void editV(const char*) ;
  void setUV() ;

signals:
  void newUV(float,float) ;

protected:

  float u,v ;
};




SetParamWidget::SetParamWidget( QWidget *parent, const char *name ) :
  QWidget(parent,name)
{
  //initMetaObject() ;
  setMinimumSize(200,200) ;
  setMaximumSize(200,200) ;

  QLabel *label1 = new QLabel("u = ", this) ;
  QLabel *label2 = new QLabel("v = ", this) ;

  label1->setGeometry(20,40,30,15) ;
  label2->setGeometry(20,60,30,15) ;

  QLineEdit *edit_U = new QLineEdit(this) ;
  QLineEdit *edit_V = new QLineEdit(this) ;

  edit_U->setGeometry(50,40,40,20) ;
  edit_V->setGeometry(50,60,40,20) ;

  edit_U->setText("0") ;
  edit_V->setText("0") ;
  
  connect(edit_U,SIGNAL(textChanged(const char*)),SLOT(editU(const char*))) ;
  connect(edit_V,SIGNAL(textChanged(const char*)),SLOT(editV(const char*))) ;

  QPushButton *okBtn = new QPushButton("Ok",this) ;
  QPushButton *cancelBtn = new QPushButton("Cancel",this) ;
  
  okBtn->setGeometry(20,130,60,20) ;
  cancelBtn->setGeometry(80,130,60,20) ;

  connect(okBtn,SIGNAL(clicked()),SLOT(setUV())) ;
  connect(cancelBtn,SIGNAL(clicked()),SLOT(hide())) ;

  hide() ;
}

void SetParamWidget::editU(const char* d){
  u = float(atof(d)) ;
}

void SetParamWidget::editV(const char* d){
  v = float(atof(d)) ;
}

void SetParamWidget::setUV(){
  emit newUV(u,v) ;
  hide() ;
}


//==================================END==================================
