/*
 * Project : "MindsEye, render queue"
 * Copyright (c) 1998. All Rights Reserved.
 * Author(s) M. Kuball
 *
 * $Id: renderDlg.cpp,v 1.3 1998/05/26 20:28:02 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#include <stdlib.h>
#include "renderjob.h"
#include "3dlib/scene.h"
#include "kernel/world_obj.h"


MERenderJob::MERenderJob( void )
{
  world_ = NULL;
  fname_ = NULL;
  worldIsCopy_ = false;
}

MERenderJob::~MERenderJob( void )
{
  delete[] fname_;
  if( worldIsCopy_ )
    {
      delete world_;
      delete camera_;
    }
}


void
MERenderJob::copyScene( void )
{
  G3DScene *scene = (G3DScene*)(world_->getScene()->copy());
  //set time to 0
  camera_  = world_->getActiveCamera();  //TODO always != NULL ?
  camera_  = new G3DCamera( *camera_ );  //TODO use copy()
  world_   = new MWorldObject( scene, NULL );
  world_->setActiveCamera( camera_ );
  worldIsCopy_ = true;
}

void
MERenderJob::setOutput( const char* format, const char *fname )
{
  delete[] fname_;
  fname_ = new char[strlen(fname)+1];
  strcpy( fname_, fname );
}

void
MERenderJob::setResolution( uint w, uint h )
{
  w_ = w;
  h_ = h;
}

void
MERenderJob::setFrameRate( const char* )
{
  
}

void
MERenderJob::setTimeInterval( float start, float stop )
{
  startTime_ = start;
  if( stopTime_ >= startTime_ )
    stopTime_  = stop;
  else
    stopTime_ = start;
}

void
MERenderJob::setShutterTime( float )
{
}

void
MERenderJob::setWorld( MWorldObject *wl )
{
  world_ = wl;  //TODO make a copy ??
}


//=================================END=================================
