/*
 * Project : "MindsEye, render queue"
 * Copyright (c) 1998. All Rights Reserved.
 * Author(s) M. Kuball
 *
 * $Id: renderDlg.cpp,v 1.3 1998/05/26 20:28:02 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef __RENDER_JOB_H_
#define __RENDER_JOB_H_

typedef unsigned int uint;

class MWorldObject;
class G3DCamera;


/**
 */
class MERenderJob
{
public:
  MERenderJob( void );
  ~MERenderJob( void );

  void  copyScene( void );
  uint  getHeight( void ) { return h_; }
  float getStartTime( void ) { return startTime_; }
  float getStopTime( void ) { return stopTime_; }
  uint  getWidth( void ) { return w_; }
  MWorldObject* getWorld( void ) { return( world_ ); }

  void setFrameRate( const char* );
  void setTimeInterval( float, float );
  void setOutput( const char* format, const char *fname );
  void setResolution( uint w, uint h);
  void setShutterTime( float );
  void setWorld( MWorldObject *wl );

protected:
  MWorldObject *world_;
  G3DCamera    *camera_;
  bool  worldIsCopy_;
  uint  w_, h_;
  float startTime_, stopTime_;
  char  *fname_;

  //vector<char*> options_;  //special optins
};


#endif
