/*
 * Project : "MindsEye, render queue"
 * Copyright (c) 1998. All Rights Reserved.
 * Author(s) M. Kuball
 *
 * $Id: renderDlg.cpp,v 1.3 1998/05/26 20:28:02 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#include <unistd.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <fcntl.h>

#include "renderqueue.h"
#include "renderjob.h"


/* OK, wir haben queues, hosts und jobs. Letztere bestehen aus der Scene,
den Options und dem Namen der Ausgabedatei(en).
Zustzlich gibt es noch die IO Filter, die wir aber hier nicht weiter
betrachten mssen.
Einer Queue ist eine Liste von Hosts zugeordnet, auf denen die Jobs
bearbeitet werden knnen. Auerdem gibt es eine Liste mit Jobs, die
sich aufteilt in einen Stapel von noch zu bearbeitenden Jobs und einen
Stapel mit gerade bearbeiteten Jobs.
In alle Listen mu dynamisch gelscht und hinzugefgt werden knnen.
Die Standardparameter einer Queue werden bei deren Erstellung
festgelegt. 
*/

/*
RenderQueue object rqo
rqo erzeugt fr jeden Host einen Thread.
Jeder zugriff auf eine der Listen von rqo mu durch einen Mutex
  abgesichert werden.
Jeder Host thread kann durch ein spezifisches Signal geweckt werden,
  um eine laufende Berechnung zu beenden.
Es gibt ein globales Signal, um idle Threads aufzuwecken.
*/

/*This function is executed by a thread to watch the termination of
  child processes.
  This works because starting a new job is much faster than it
  takes to complete a job. If times are comparable, the number of
  running jobs drops down to 1.
  */

//ev. als statische Methode in MERenderQueue
/*
void
childWatcher( void* )
{
  while( 1 )
    {
      int status;

      sigwait( SIGCHLD );
      pthread_mutex_lock( &listen );
      while( (pid = waitpid( -1, &status, WNOHANG )) >= 0 )
	{
	  pthread_mutex_lock( &child );
	  pthread_cond_broadcast( &cldterm );
	  pthrad_mutex_unlock( &child );
	}
    }
}
*/

/*
Each thread tries to send a job to a free host until all hosts are
busy. After that the thread waits for a cldterm condition signal.
It checks the global pid_t. If it ist not 0 it compares the pid to
its hosts. If it finds a match, the specified host is set to free and
if a frame is available for rendering a job is initated. After
that the thread waits again.
*/


MERenderQueue::MERenderQueue( void )
{
  name_ = NULL;
/*
  freeHosts_ = 0;
  pthread_mutex_init( &m1, NULL );
  pthread_cond_init( &cond1, NULL );

  //Create the render thread
  pthread_t thread;
  pthread_create( &thread, NULL, start, this ); val wird func bergeben
  pthread_detach( thread );
*/
}

MERenderQueue::~MERenderQueue( void )
{
  delete[] name_;
/*
  pthread_mutex_destroy();
  pthread_cond_destroy();
*/
}

/*
void
startThread( MERenderQueue *obj)
{
  pthread_create( 
  ((MERenderQueue*)obj)->render();
}
*/


void
MERenderQueue::addJob( MERenderJob *job )
{
  //just make it work
  prepareJob( job );
  pid_t pid;
  //do
  if( (pid = fork()) == 0 )
    {
      renderFrame( job );
    }
  delete job;
  wait( NULL );
  //cleanup();
  //copy output file to target and convert to desired format
  //while( job->nextFrame() );
/*
  Mutex mt( &entryMutex_ );

  entries_.push_back( entry );
  pthread_cond_signal( &entryCond_ );
*/
}

void
MERenderQueue::addHost( const char* name )
{
  /*
  MERenderHost tmp( name );

  Mutex( &entryMutex_ );
  //get a semaphore
  hostList_.insert( hostList_.end(), tmp );
  ++freeHosts_;

  pthread_t thread;
 //val wird func bergeben
  pthread_create( &thread, NULL, render, this );
  pthread_detach( thread );
  */

}

void
MERenderQueue::render()
{
  /*
  while( 1 )
    {
      Mutex();
      check for entry in waiting_;
      if( no entry )
	wait;
      else
	{
	  move entry -> processing_;
	  render the job
	  save the result
	    }
    }
      wait( &entryMutex_ );
      //pthread_mutex_lock( &entryMutex_ );
      //pthread_cond_wait( &entryCond_ );
      //pthread_mutex_unlock( &entryMutex_ );
      while( entry )
	{
	  Mutex( &working );
	  //lock( &working );
	  while( find free host )
	    { 
	      pthread_mutex_lock( &entryMutex_ );
	      move entry
	      //remove entry: entrys_.;
	      pthread_mutex_unlock( &entryMutex_ );
	      fork;
	    }
	    //unlock( &working );
	}
    }
    */
}

void
MERenderQueue::setName( const char *name )
{
  delete[] name_;
  name_ = new char[ strlen(name)+1 ];
  strcpy( name_, name );
}


//==================================END==================================
