/*
 * Project : "MindsEye"
 * Copyright (c) 1997. All Rights Reserved.
 * Atuhor(s): M. Kuball
 *
 * $Id: mtreelist.cpp,v 1.2 1998/06/07 20:12:35 source Exp $
 * 
 * COPYRIGHT
 * ========= 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * A dialog  for viewing and editing the scene graph. It's based on
 * ktreelisttest from Keith Brown.
 *
 */

#include <qpopmenu.h>
#include "mtreelist.h"


void
MTreeList::keyPressEvent( QKeyEvent* e )
{
  if( e->key() == Key_Delete )
    {
    }
  else if( e->state() & ShiftButton )
    {
      switch( e->key() )
	{
	case Key_Left:
	  break;
	case Key_Up:
	  break;
	case Key_Right:
	  break;
	case Key_Down:
	  emit itemDown();
	  break;
	default:
	  KTreeList::keyPressEvent( e );
	}
    }
  else
    KTreeList::keyPressEvent( e );
}

void
MTreeList::mousePressEvent( QMouseEvent *e )
{
  if( e->button() == RightButton )
    {
      QPoint  new_coors = mapToGlobal(e->pos());
      _popup->move (new_coors.x (),new_coors.y ());
      _popup->show();
    }
  else
    KTreeList::mousePressEvent( e );
}


//======================================END=================================
