/*
 * Project : "MindsEye"
 * Copyright (c) 1997. All Rights Reserved.
 * Atuhor(s): M. Kuball
 *
 * $Id: mtreelist.h,v 1.2 1998/06/07 20:12:36 source Exp $
 * 
 * COPYRIGHT
 * ========= 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * A dialog  for viewing and editing the scene graph. It's based on
 * ktreelisttest from Keith Brown.
 *
 */

#ifndef _MTREE_LIST_H
#define _MTREE_LIST_H

#include "ktreelist.h"

class QPopupMenu;


/**This treelist widget is derived from class KTreeList to allow a
   popup menu
   */
class MTreeList : public KTreeList
{
  Q_OBJECT

public:
  MTreeList( QPopupMenu *pmu, QWidget *prt ) : KTreeList(prt) { _popup = pmu; };

signals:
  void itemDown();

protected:
  virtual void keyPressEvent( QKeyEvent *e );
  virtual void mousePressEvent( QMouseEvent *e );

protected:
  QPopupMenu *_popup;

};

#endif // _MTREE_LIST_H
