/*
 * Project : "MindsEye"
 * Copyright (c) 1997 - 1998. All Rights Reserved.
 * Atuhor(s): M. Kuball
 *
 * $Id: scene_dlg.h,v 1.9 1998/07/23 20:16:22 source Exp $
 *
 *
 * COPYRIGHT
 * ========= 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * A dialog  for viewing and editing the scene graph. It's based on
 * ktreelisttest from Keith Brown.
 *
 */

#ifndef _SCENE_DLG_H
#define _SCENE_DLG_H

//#include <qapp.h>
#include <stdio.h>

#include "kernel/m_module.h"
#include "kernel/world_list.h"


class MTreeList;
class G3DObject;
class G3DGroup;
class G3DScene;
class MTreeListItem;
class MWorldObject;
class QPopupMenu;
class QComboBox;
class QLineEdit;


/**A dialog with a tree list of the scene graph.
 */
class MSceneGraphDlg : public MEModule
{
  Q_OBJECT

public:
  MSceneGraphDlg( int, int );
    
protected:
  QPopupMenu* makePopup( void );

private slots:
    ///
  void addSubItem();
    ///Change the name of the current object to the name in the text field.
  void changeName();
    ///Close the Dialog.
  void closeIt();
    ///Collapses the tree globally to the next level.
  void collapse();
    ///Expands the tree globally to the next level.
  void expand();
  void highlighted(int);
    ///Moves the current item down one slot in its branch.
  void itemDown();
  void itemIn();
  void itemOut();
  void itemUp();
    ///
  void objectSelected( G3DObject* );
  void removeItem();
    ///
  void selected( int );
    ///
  void setFocus( );
  void setWorld(int);
    ///
  void setWorldList();
    ///
  void showProperties();
  void toggleExpandButtons(bool on);
  void toggleTree(bool on);
    /**The part of the scene below the group has changed.
      Update the tree list.*/
  void updateScene( G3DGroup* );

private:
      ///The scene which will be displayed in the outlineTree widget.
    G3DScene      *scene_;  //TODO do we need this?
      ///
    MTreeList     *_outlineTree;
      ///
    MTreeListItem *_selectedItem;

    QLineEdit     *_nameEdit;
    QComboBox     *worldSelector_;
      ///The world object the displayed scene is part of.
    MWorldObject  *world_;

};


#endif  _SCENE_DLG_H
