/*
 * Project : "MindsEye"
 * Copyright (c) 1997. All Rights Reserved.
 * Atuhor(s): M. Kuball
 *
 * $Id: scene_iterator.h,v 1.4 1998/06/07 20:12:36 source Exp $
 *
 *
 * COPYRIGHT
 * ========= 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef _SCENE_ITERATOR_H
#define _SCENE_ITERATOR_H

#include "3dlib/t_objects.h"
#include "3dlib/shape.h"
#include "3dlib/light.h"


extern void trace( G3DShape *group, MShapeItem* );


/**Parse the Scene Graph and construct the tree list with respect
   to the shapes and groups.
 */
class InfoIteratorS : public GIterator<G3DShape>
{
public:
  InfoIteratorS( MShapeItem *start ) { _start = start; };

  virtual bool exec( G3DShape& t ) {
    MShapeItem *tmp = new MShapeItem( &t );
    _start->appendChild( tmp );
    if( t.getType() & T_GROUP )
      trace( &t, tmp );
    return( false );
  }

private:
  MShapeItem *_start;
};


/**Add the lights of a group to the tree list.
 */
class InfoIteratorL : public GIterator<G3DLight>
{
public:
  InfoIteratorL( MShapeItem *start ) { _start = start; };

  virtual bool exec( G3DLight& t ) {
    MLightItem *tmp = new MLightItem( &t );
    _start->appendChild( tmp );
    return( false );
  }

private:
  MShapeItem *_start;
};


#endif

