/*
 * Project : "MindsEye"
 * Copyright (c) 1997 - 1998. All Rights Reserved.
 * Atuhor(s): M. van Velsen
 *
 * $Id: m_viewer.cpp,v 1.3 1998/06/07 20:12:37 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 * The minimumsize of the animation viewport is set to 320x200. If an 
 * animation is smaller than this size it is centered in the viewport
 *
 */

#ifdef HAVE_CONFIG_H
#include "include/config.h"
#endif	 // HAVE_CONFIG_H

#include <qpixmap.h>
#include <qwidget.h>
#include <qlayout.h>
#include <qscrbar.h>

#include "m_viewer.h"


/*---------------------------------------------------------------------------*/
MViewer::MViewer( int module_id, int load_t ) :
  MEModule (module_id,load_t, "MViewer")
{
  strcpy (m_info->module_name,"Animation Viewer module");
  setCaption ("MindsEye Animation Viewer");

  QBoxLayout *gm = new QBoxLayout (this,
				   QBoxLayout::TopToBottom,
				   2,2);

  QBoxLayout *gm_00 = new QBoxLayout(QBoxLayout::LeftToRight);
  QBoxLayout *gm_01 = new QBoxLayout(QBoxLayout::LeftToRight);
  QBoxLayout *gm_02 = new QBoxLayout(QBoxLayout::LeftToRight);
  QBoxLayout *gm_03 = new QBoxLayout(QBoxLayout::LeftToRight);

  gm->addLayout (gm_00,100);
  gm->addLayout (gm_01,0);
  gm->addLayout (gm_02,0);
  gm->addLayout (gm_03,0);

  anim_frame=new QFrame (this,0,0);
  anim_frame->setMinimumSize (320,200);
  anim_frame->setFrameStyle (QFrame::WinPanel | QFrame::Sunken);
  anim_frame->setBackgroundColor (black);

  gm_00->addWidget (anim_frame,100);
 
  QFrame *button_bar=new QFrame (this,0,0);
  button_bar->setFrameStyle (QFrame::Panel | QFrame::Raised);
  button_bar->setMinimumSize (100,21);

  gm_01->addWidget (button_bar,0);

  create_buttons (button_bar);

  QScrollBar *bar=new QScrollBar (QScrollBar::Horizontal,this,0);
  bar->setMinimumSize (320,18);

  gm_02->addWidget (bar,0);
  
  frame_bar=new QFrame (this,0,0);
  frame_bar->setFrameStyle (QFrame::Panel | QFrame::Sunken);
  frame_bar->setMinimumSize (50,20);
  
  time_bar=new QFrame (this,0,0);
  time_bar->setFrameStyle (QFrame::Panel | QFrame::Sunken);
  time_bar->setMinimumSize (100,20);

  gm_03->addWidget (frame_bar,0);
  gm_03->addWidget (time_bar,0);

  gm->activate ();
}
/*---------------------------------------------------------------------------*/
MViewer::~MViewer ()
{

}
/*---------------------------------------------------------------------------*/
void MViewer::create_buttons (QFrame *button_bar)
{
  QPixmap *reset_pixmap =new QPixmap ();
  QPixmap *stop_pixmap =new QPixmap ();
  QPixmap *play_pixmap =new QPixmap ();
  QPixmap *pauze_pixmap=new QPixmap ();

  reset_pixmap->loadFromData (reset_bmp_data,reset_bmp_len);
  stop_pixmap->loadFromData  (stop_bmp_data,stop_bmp_len);
  play_pixmap->loadFromData  (play_bmp_data,play_bmp_len);
  pauze_pixmap->loadFromData (pauze_bmp_data,pauze_bmp_len);

  reset=new QPushButton (button_bar,0);
  reset->setPixmap (*reset_pixmap);
  reset->resize (reset_pixmap->width (),reset_pixmap->height ());
  reset->move (2,2);

  stop=new QPushButton (button_bar,0);
  stop->setPixmap (*stop_pixmap);
  stop->resize (stop_pixmap->width (),stop_pixmap->height ());
  stop->move (22,2);

  play=new QPushButton (button_bar,0);
  play->setPixmap (*play_pixmap);
  play->resize (play_pixmap->width (),play_pixmap->height ());
  play->move (42,2);

  pauze=new QPushButton (button_bar,0);
  pauze->setPixmap (*pauze_pixmap);
  pauze->resize (pauze_pixmap->width (),pauze_pixmap->height ());
  pauze->move (62,2);
}
/*--------------------------------------------------------------------------*/
