/*
 * Project : "MindsEye, IO library"
 * Copyright 1996, 1997. All Rights Reserved.
 * Author(s): M. van Velsen
 *
 * $Id: m_viewer.h,v 1.3 1998/06/07 20:12:37 source Exp $
 * 
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#ifndef __M_VIEWER_H__
#define __M_VIEWER_H__

#include <qframe.h>
#include <qpushbt.h>

#include "icons/ma_icons.h"
#include "kernel/m_module.h"


/** This is the baseclass for all Widgets used to display animations.
 */
class MViewer : public MEModule
{
   Q_OBJECT

public:
   MViewer( int module_id, int load_t );
   ~MViewer ();

protected:
   void create_buttons (QFrame *);

private:
   QFrame *anim_frame;

   QPushButton *load;
   QPushButton *reset;
   QPushButton *stop;
   QPushButton *play;
   QPushButton *pauze;
   
   QFrame *frame_bar;
   QFrame *time_bar;

};

#endif // __M_VIEWER_H__
