/*
 * Project : "MindsEye"
 * Copyright (c)1996, 1997, 1998. All Rights Reserved.
 * Author(s) M. Kuball
 *
 * $Id: m_viewp.h,v 1.19 1998/07/23 20:16:24 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */
 
#ifndef __CAMERA_CONTROLER_H__
#define __CAMERA_CONTROLER_H__

class QMouseEvent;
class G3DCamera;


/**
 */
class MECameraControler
{
public:
  enum { AllInOne, Pan, Orbit, Tuck, Rotate, Zoom, Roll, Dolly };

public:
  MECameraControler( void ) { camera_ = NULL;  mode_ = AllInOne; }

  void move( QMouseEvent*, int );
  void setMode( int );
  void start( G3DCamera*, QMouseEvent* );

protected:
    ///Orbit/move/zoom all in one
  void cameraInteraction(QMouseEvent *, int);
    ///Move eye along viewplane normal. Keep focus point fixed.
  void dollyCamera(QMouseEvent *);
    /// change field-of-view, incl. zoom
  void fovCamera(QMouseEvent *);
    ///Rotate eye around look at point
  void orbitCamera(QMouseEvent *);  
    /// change perspective, ie. field-of-view, without zoom
  void perspCamera(QMouseEvent *);
    /// roll camera sideways
  void rollCamera(QMouseEvent *);
    /// rotate look-at point around eye
  void rotateCamera(QMouseEvent *);
    ///Move the Camera parallel to the viewplane.
  void tuckCamera( QMouseEvent* );

protected:
  G3DCamera *camera_;

  float _old_value; // needed by fovCamera() [fm]
  int  _oldx, _oldy;
  int  mode_;
};


#endif
