/*
 * Project : "MindsEye"
 * Copyright (c) 1996, 1997 by Martin Kuball. All Rights Reserved.
 * Author(s): M. Kuball, M. van Velsen, F. Meier
 * 
 * $Id: m_viewgl.cpp,v 1.15 1997/12/27 16:24:54 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * OVERVIEW
 * ========
 *
 */

#ifndef _GRID_H_
#define _GRID_H_


#include "3dlib/g3d_math.h"

/*
class Constraint;
class GridConstraint;  //Grid orientation? , algorithmic grid?
  class PlaneConstraint;
  class LineConstraint;  //without spacing
class AngleConstraint;
class SizeConstraint;  //???
*/

/**Abstract base class for a grid. A grid is used to restrict object
   position and orientation to certain values.
  */
class Grid
{
public:
  Grid( void ) {};

  virtual void projectToGrid( G3DVector3d& ) const = 0;
};


/**
 */
class SpaceGrid : public Grid
{
public:
  SpaceGrid( void ) : _origin(0,0,0), _spacing(0.5,0.5,0.5) {};

    ///
  void getSpacing( G3DVector3d &sp ) const { sp = _spacing; };
    ///
  virtual void projectToGrid( G3DVector3d& ) const;
    ///
  void setOrigin( const G3DPoint3d &orig ) { _origin = orig; };
    ///
  void setSpacing( const G3DVector3d &sp ) { _spacing = sp; };

protected:
  G3DPoint3d  _origin;
  G3DVector3d _spacing;
};


class AngleGrid : public Grid
{
public:
  AngleGrid( void ) : _spacing(M_PI/12,M_PI/12,M_PI/12) {};

  virtual void projectToGrid( G3DVector3d& ) const;

protected:
  G3DVector3d _spacing;
};


#endif
