/*
 * vi:ts=4:sw=4:
 *
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * Author(s) M. van Velsen, M. Kuball
 *
 * $Id: m_viewdlg.cpp,v 1.3 1998/05/14 20:23:24 source Exp $
 * 
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 */

#include "m_viewdlg.h"

#include <qbttngrp.h>
#include <qchkbox.h>
#include <qframe.h>
#include <qgrpbox.h>
#include <qpushbt.h>

/*---------------------------------------------------------------------------*/
MViewportDialog::MViewportDialog (int a_layout,
                                  QWidget* parent,
                                  const char* name) : QDialog (parent,name)

{
    my_layout =a_layout;
    old_layout=a_layout;

	QGroupBox* tmpQGroupBox;
	tmpQGroupBox = new QGroupBox( this, "GroupBox_17" );
	tmpQGroupBox->setGeometry( 392, 207, 221, 142 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 8, 7, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_2" );
	tmpQGroupBox->setGeometry( 8, 171, 606, 33 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_1" );
	tmpQGroupBox->setGeometry( 8, 71, 605, 33 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	QFrame* tmpQFrame;
	tmpQFrame = new QFrame( this, "Frame_1" );
	tmpQFrame->setGeometry( 8, 208, 172, 140 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 51 );
	tmpQFrame->setLineWidth( 2 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 8, 107, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 95, 7, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 182, 7, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 269, 7, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 356, 7, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 443, 7, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 530, 7, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 95, 107, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 182, 107, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 269, 107, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 356, 107, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 443, 107, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	tmpQGroupBox = new QGroupBox( this, "GroupBox_3" );
	tmpQGroupBox->setGeometry( 529, 107, 84, 61 );
	tmpQGroupBox->setFrameStyle( 49 );
	tmpQGroupBox->setTitle( "" );
	tmpQGroupBox->setAlignment( 1 );

	QCheckBox* tmpQCheckBox;
	tmpQCheckBox = new QCheckBox( this, "CheckBox_1" );
	tmpQCheckBox->setGeometry( 184, 207, 204, 21 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQCheckBox->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		tmpQCheckBox->setFont( font );
	}
	tmpQCheckBox->setText( "Set as default layout" );
	tmpQCheckBox->setAutoRepeat( FALSE );
	tmpQCheckBox->setAutoResize( FALSE );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 12, 11, 75, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 186, 11, 75, 26 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 186, 40, 75, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 274, 11, 35, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 313, 11, 36, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 99, 11, 36, 25 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 138, 11, 36, 25 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 99, 39, 36, 25 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 138, 39, 36, 25 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 360, 11, 36, 26 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 360, 40, 36, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 399, 11, 36, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 447, 11, 75, 26 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 447, 40, 36, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 486, 40, 36, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 534, 11, 36, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 573, 11, 36, 25 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 573, 40, 36, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 12, 138, 75, 26 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 12, 111, 36, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 51, 111, 36, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 126, 111, 48, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 99, 111, 24, 17 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 99, 149, 24, 15 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 99, 130, 24, 16 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 186, 111, 76, 31 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 186, 145, 23, 19 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 237, 145, 25, 19 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 212, 145, 22, 19 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 274, 111, 50, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 327, 111, 22, 17 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 327, 148, 22, 16 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 327, 130, 22, 16 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 360, 133, 75, 31 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 360, 111, 24, 19 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 409, 111, 26, 19 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 386, 111, 21, 19 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 447, 111, 75, 17 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 447, 130, 75, 34 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "" );
	tmpQFrame->setGeometry( 28240, 2075, 10, 10 );
	{
		QColorGroup normal( QColor( QRgb(1571848) ), QColor( QRgb(1789256) ), QColor( QRgb(0) ), QColor( QRgb(1305028) ), QColor( QRgb(1) ), QColor( QRgb(8389480) ), QColor( QRgb(7275050) ) );
		QColorGroup disabled( QColor( QRgb(7275050) ), QColor( QRgb(5) ), QColor( QRgb(1799984) ), QColor( QRgb(1454168) ), QColor( QRgb(1798712) ), QColor( QRgb(0) ), QColor( QRgb(18) ) );
		QColorGroup active( QColor( QRgb(65537) ), QColor( QRgb(1790756) ), QColor( QRgb(6911077) ), QColor( QRgb(3158066) ), QColor( QRgb(32) ), QColor( QRgb(1799768) ), QColor( QRgb(0) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	{
        QFont font( "helvetica", 12, 75, 0 );
		font.setUnderline( TRUE );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		tmpQFrame->setFont( font );
	}
	tmpQFrame->setLineWidth( -1 );
	tmpQFrame->setMidLineWidth( -1 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 554, 111, 54, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	tmpQFrame = new QFrame( this, "Frame_2" );
	tmpQFrame->setGeometry( 533, 111, 19, 53 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQFrame->setPalette( palette );
	}
	tmpQFrame->setFrameStyle( 18 );

	QPushButton* tmpQPushButton;
	tmpQPushButton = new QPushButton( this, "CancelButton" );
	tmpQPushButton->setGeometry( 184, 319, 100, 30 );
	tmpQPushButton->setText( "Cancel" );
	tmpQPushButton->setAutoRepeat( FALSE );
	tmpQPushButton->setAutoResize( FALSE );

    connect (tmpQPushButton,
             SIGNAL (clicked ()),
             this,
             SLOT (close_window_rem ()));

	tmpQPushButton = new QPushButton( this, "OkButton" );
	tmpQPushButton->setGeometry( 288, 319, 100, 30 );
	tmpQPushButton->setText( "Ok" );
	tmpQPushButton->setAutoRepeat( FALSE );
	tmpQPushButton->setAutoResize( FALSE );

    connect (tmpQPushButton,
             SIGNAL (clicked ()),
             this,
             SLOT (close_window ()));

	tmpQCheckBox = new QCheckBox( this, "CheckBox_2" );
	tmpQCheckBox->setGeometry( 184, 231, 204, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(8421504) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		tmpQCheckBox->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		tmpQCheckBox->setFont( font );
	}
	tmpQCheckBox->setText( "Show camera boundary" );
	tmpQCheckBox->setAutoRepeat( FALSE );
	tmpQCheckBox->setAutoResize( FALSE );


    // le buttons du push :)


	var_a = new QPushButton( this, "Layout_A" );
	var_a->setGeometry( 14, 77, 74, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_a->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_a->setFont( font );
	}
	var_a->setText( "A" );
	var_a->setAutoRepeat( FALSE );
	var_a->setAutoResize( FALSE );
	var_a->setToggleButton( TRUE );

	var_b = new QPushButton( this, "Layout_B" );
	var_b->setGeometry( 99, 77, 75, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_b->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_b->setFont( font );
	}
	var_b->setText( "B" );
	var_b->setAutoRepeat( FALSE );
	var_b->setAutoResize( FALSE );
	var_b->setToggleButton( TRUE );

	var_c = new QPushButton( this, "Layout_C" );
	var_c->setGeometry( 186, 77, 75, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_c->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_c->setFont( font );
	}
	var_c->setText( "C" );
	var_c->setAutoRepeat( FALSE );
	var_c->setAutoResize( FALSE );
	var_c->setToggleButton( TRUE );

	var_d = new QPushButton( this, "Layout_D" );
	var_d->setGeometry( 275, 77, 74, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_d->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_d->setFont( font );
	}
	var_d->setText( "D" );
	var_d->setAutoRepeat( FALSE );
	var_d->setAutoResize( FALSE );
	var_d->setToggleButton( TRUE );

	var_e = new QPushButton( this, "Layout_E" );
	var_e->setGeometry( 361, 77, 74, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_e->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_e->setFont( font );
	}
	var_e->setText( "E" );
	var_e->setAutoRepeat( FALSE );
	var_e->setAutoResize( FALSE );
	var_e->setToggleButton( TRUE );

	var_f = new QPushButton( this, "Layout_F" );
	var_f->setGeometry( 448, 77, 74, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_f->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_f->setFont( font );
	}
	var_f->setText( "F" );
	var_f->setAutoRepeat( FALSE );
	var_f->setAutoResize( FALSE );
	var_f->setToggleButton( TRUE );

	var_g = new QPushButton( this, "Layout_G" );
	var_g->setGeometry( 534, 77, 75, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_g->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_g->setFont( font );
	}
	var_g->setText( "G" );
	var_g->setAutoRepeat( FALSE );
	var_g->setAutoResize( FALSE );
	var_g->setToggleButton( TRUE );

	var_h = new QPushButton( this, "Layout_H" );
	var_h->setGeometry( 13, 176, 74, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_h->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_h->setFont( font );
	}
	var_h->setText( "H" );
	var_h->setAutoRepeat( FALSE );
	var_h->setAutoResize( FALSE );
	var_h->setToggleButton( TRUE );

	var_i = new QPushButton( this, "Layout_I" );
	var_i->setGeometry( 98, 176, 76, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_i->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_i->setFont( font );
	}
	var_i->setText( "I" );
	var_i->setAutoRepeat( FALSE );
	var_i->setAutoResize( FALSE );
	var_i->setToggleButton( TRUE );

	var_j = new QPushButton( this, "Layout_J" );
	var_j->setGeometry( 186, 176, 76, 24 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_j->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_j->setFont( font );
	}
	var_j->setText( "J" );
	var_j->setAutoRepeat( FALSE );
	var_j->setAutoResize( FALSE );
	var_j->setToggleButton( TRUE );

	var_k = new QPushButton( this, "Layout_K" );
	var_k->setGeometry( 274, 177, 76, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_k->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_k->setFont( font );
	}
	var_k->setText( "K" );
	var_k->setAutoRepeat( FALSE );
	var_k->setAutoResize( FALSE );
	var_k->setToggleButton( TRUE );

	var_l = new QPushButton( this, "Layout_L" );
	var_l->setGeometry( 360, 177, 75, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_l->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_l->setFont( font );
	}
	var_l->setText( "L" );
	var_l->setAutoRepeat( FALSE );
	var_l->setAutoResize( FALSE );
	var_l->setToggleButton( TRUE );

	var_m = new QPushButton( this, "Layout_M" );
	var_m->setGeometry( 447, 177, 75, 23 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_m->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_m->setFont( font );
	}
	var_m->setText( "M" );
	var_m->setAutoRepeat( FALSE );
	var_m->setAutoResize( FALSE );
	var_m->setToggleButton( TRUE );

	var_n = new QPushButton( this, "Layout_N" );
	var_n->setGeometry( 532, 175, 77, 25 );
	{
		QColorGroup normal( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(16777215) ), QColor( QRgb(16777215) ) );
		QColorGroup disabled( QColor( QRgb(8421504) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(8421504) ), QColor( QRgb(12632256) ) );
		QColorGroup active( QColor( QRgb(0) ), QColor( QRgb(12632256) ), QColor( QRgb(16777215) ), QColor( QRgb(6316128) ), QColor( QRgb(10789024) ), QColor( QRgb(0) ), QColor( QRgb(16777215) ) );
		QPalette palette( normal, disabled, active );
		var_n->setPalette( palette );
	}
	{
		QFont font( "helvetica", 12, 75, 0 );
		font.setStyleHint( (QFont::StyleHint)0 );
		font.setCharSet( (QFont::CharSet)0 );
		var_n->setFont( font );
	}
	var_n->setText( "N" );
	var_n->setAutoRepeat( FALSE );
	var_n->setAutoResize( FALSE );
	var_n->setToggleButton( TRUE );

	QButtonGroup* tmpQButtonGroup;
	tmpQButtonGroup = new QButtonGroup( this, "ButtonGroup_2" );
	tmpQButtonGroup->setGeometry( 3, 4, 613, 201 );
	tmpQButtonGroup->setFrameStyle( 49 );
	tmpQButtonGroup->setTitle( "" );
	tmpQButtonGroup->setAlignment( 1 );
	tmpQButtonGroup->insert( var_a );
	tmpQButtonGroup->insert( var_b );
	tmpQButtonGroup->insert( var_c );
	tmpQButtonGroup->insert( var_d );
	tmpQButtonGroup->insert( var_e );
	tmpQButtonGroup->insert( var_f );
	tmpQButtonGroup->insert( var_g );
	tmpQButtonGroup->insert( var_h );
	tmpQButtonGroup->insert( var_i );
	tmpQButtonGroup->insert( var_j );
	tmpQButtonGroup->insert( var_k );
	tmpQButtonGroup->insert( var_l );
	tmpQButtonGroup->insert( var_m );
	tmpQButtonGroup->insert( var_n );
	tmpQButtonGroup->lower();

    switch (my_layout)
    {
     case 0 :var_a->setOn (TRUE);
             break;

     case 1 :var_b->setOn (TRUE);
             break;

     case 2 :var_c->setOn (TRUE);
             break;

     case 3 :var_d->setOn (TRUE);
             break;

     case 4 :var_e->setOn (TRUE);
             break;

     case 5 :var_f->setOn (TRUE);
             break;

     case 6 :var_g->setOn (TRUE);
             break;

     case 7 :var_h->setOn (TRUE);
             break;

     case 8 :var_i->setOn (TRUE);
             break;

     case 9 :var_j->setOn (TRUE);
             break;

     case 10:var_k->setOn (TRUE);
             break;

     case 11:var_l->setOn (TRUE);
             break;

     case 12:var_m->setOn (TRUE);
             break;

     case 13:var_n->setOn (TRUE);
             break;

     default:
             break;
    };

    tmpQButtonGroup->setExclusive (TRUE);

	connect ( var_a, SIGNAL (toggled(bool)),this, SLOT (goto_layout_A (bool)));
	connect ( var_b, SIGNAL (toggled(bool)),this, SLOT (goto_layout_B (bool)));
	connect ( var_c, SIGNAL (toggled(bool)),this, SLOT (goto_layout_C (bool)));
	connect ( var_d, SIGNAL (toggled(bool)),this, SLOT (goto_layout_D (bool)));
	connect ( var_e, SIGNAL (toggled(bool)),this, SLOT (goto_layout_E (bool)));
	connect ( var_f, SIGNAL (toggled(bool)),this, SLOT (goto_layout_F (bool)));
	connect ( var_g, SIGNAL (toggled(bool)),this, SLOT (goto_layout_G (bool)));
	connect ( var_h, SIGNAL (toggled(bool)),this, SLOT (goto_layout_H (bool)));
	connect ( var_i, SIGNAL (toggled(bool)),this, SLOT (goto_layout_I (bool)));
	connect ( var_j, SIGNAL (toggled(bool)),this, SLOT (goto_layout_J (bool)));
	connect ( var_k, SIGNAL (toggled(bool)),this, SLOT (goto_layout_K (bool)));
	connect ( var_l, SIGNAL (toggled(bool)),this, SLOT (goto_layout_L (bool)));
	connect ( var_m, SIGNAL (toggled(bool)),this, SLOT (goto_layout_M (bool)));
	connect ( var_n, SIGNAL (toggled(bool)),this, SLOT (goto_layout_N (bool)));

	resize (619,356);
}
/*---------------------------------------------------------------------------*/
MViewportDialog::~MViewportDialog()
{

}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_A (bool on)
{
 if (on==TRUE)
   my_layout=0;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_B (bool on)
{
 if (on==TRUE) 
   my_layout=1;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_C (bool on)
{
 if (on==TRUE)
   my_layout=2;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_D (bool on)
{
 if (on==TRUE)
   my_layout=3;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_E (bool on)
{
 if (on==TRUE)
   my_layout=4;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_F (bool on)
{
 if (on==TRUE)
   my_layout=5;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_G (bool on)
{
 if (on==TRUE)
   my_layout=6;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_H (bool on)
{
 if (on==TRUE)
   my_layout=7;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_I (bool on)
{
 if (on==TRUE)
   my_layout=8;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_J (bool on)
{
 if (on==TRUE)
   my_layout=9;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_K (bool on)
{
 if (on==TRUE)
   my_layout=10;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_L (bool on)
{
 if (on==TRUE)
   my_layout=11;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_M (bool on)
{
 if (on==TRUE)
   my_layout=12;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::goto_layout_N (bool on)
{
 if (on==TRUE)
   my_layout=13;
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::close_window ()
{
  emit do_layout (my_layout);
  close( TRUE );  //TODO get closeEvent?
}
/*---------------------------------------------------------------------------*/
void MViewportDialog::close_window_rem ()
{
  close( TRUE );
}
/*---------------------------------------------------------------------------*/