/*
 * vi:ts=4:sw=4:
 *
 * Project : "MindsEye"
 * Copyright 1996. All Rights Reserved.
 * Author(s) M. van Velsen, M. Kuball
 *
 * $Id: m_viewm.h,v 1.9 1998/06/07 20:12:38 source Exp $
 *
 * 
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * OVERVIEW
 * ========
 *
 *
 */
 
#ifndef __MVIEWPORT_M_H__
#define __MVIEWPORT_M_H__

//#include <qgrpbox.h>
#include <qlayout.h>
#include <qframe.h>
#include <qlabel.h>
#include <qtooltip.h>
#include <qpushbt.h>

#include "m_viewdlg.h"

//#include "m_vdef.h"
//#include "m_viewp.h"


#define BUTTON_HIGHT 20


class MCameraDialog;
class MViewPortLayout;
class MModeler;


/**A widget which manages the view ports.
 */
class MViewPortManager : public QFrame
{
    Q_OBJECT

public:
    ///
  MViewPortManager( MModeler*, MViewPortLayout*, QWidget *parent=NULL,
		    const char *name=NULL );

  ~MViewPortManager ();

public slots:
    ///
  void setCoordinateText( const char* );

protected:
  void create_tools (void);
  void create_viewbuttons (QBoxLayout *);

private slots:
    ///
  void  cameraDialog   ();
    ///
  void  change_layout  ();   
    ///
  void  goto_moving    (bool);
  void  goto_selecting (bool);
  void  toggle_axes    (bool);
  void  toggle_grid    (bool);

private:
  MModeler        *parentView_;

  MCameraDialog   *cameraDialog_;
  MViewportDialog *viewDialog_;
  MViewPortLayout *viewLayout_;
  QLabel          *coorLabel_;
  QLabel          *infoField_;

  char label_text [60];

};


#endif // __MVIEWPORT_M_H__
