/*
 * Project : "MindsEye"
 * Copyright (c) 1996-1997. All Rights Reserved.
 * Author(s) M. van Velsen, M. Kuball
 *
 * $Id: m_viewp.cpp,v 1.6 1998/05/14 20:23:26 source Exp $
 *
 *
 * COPYRIGHT
 * =========
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *
 * OVERVIEW
 * ========
 * see m_viewp.h
 */

#ifdef HAVE_CONFIG_H
#include "include/config.h"
#endif	 // HAVE_CONFIG_H

#include <qlayout.h>
#include "m_viewp.h"


MViewPort::MViewPort( QCursor *new_hand, QPopupMenu *lpopup,
		      QWidget *parent, const char *name ) :
  QFrame(parent, name),
  glPort_(new_hand, lpopup, this, name)
{ 
  setBackgroundColor (darkGray);

  setMaximumSize (5000,5000);
  setFrameStyle (QFrame::WinPanel | QFrame::Sunken);

  //TODO maybe use explicit resize instead of a QBoxLayout
  QBoxLayout *gm = new QBoxLayout( this, QBoxLayout::TopToBottom, 2, 2 );
  gm->addWidget( &glPort_, 100 );

}


void
MViewPort::enterEvent ( QEvent * )
{
  emit activateView( this );
}


//=======================================END================================
