/*
 * Different type of message, so I'll know what color to use.
 */
#define MESSAGE_ERR     0
#define MESSAGE_NORMAL  1
#define MESSAGE_ANSI    2
#define MESSAGE_NONE    3
#define MESSAGE_SENT    4

/*
 * Typedefs
 */
typedef struct alias_data  ALIAS_DATA;
typedef        gint        bool;

/*
 * Structures
 */
struct alias_data {
    ALIAS_DATA *next;
    gchar      *alias;
    gchar      *replace;
};

/*
 * Function declares
 */
#define AD ALIAS_DATA

/* alias.c */
void  load_aliases    ( void                               );
void  save_aliases    ( GtkWidget *button, gpointer data   );
void  add_alias       ( gchar *alias, gchar *replacement   );
void  insert_aliases  ( GtkWidget *clist                   );
#undef AD

/* init.c */
void  init_window     ( void                               );
void  init_colors     ( void                               );
void  destroy         ( GtkWidget *widget                  );
void  close_window    ( GtkWidget *widget, gpointer data   );

/* net.c */
void  make_connection ( GtkWidget *widget, gpointer data   );
void  disconnect      ( GtkWidget *widget, gpointer data   );
void  open_connection ( const gchar *host,const gchar *port);
void  read_from_connection (gpointer data,
                            gint source,
                            GdkInputCondition condition    );
void  send_to_connection (GtkWidget *widget, gpointer data );

/* window.c */
void  window_alias    ( GtkWidget *widget, gpointer data   );
void  popup_window    ( const gchar *message               );
void  textfield_add   ( gchar *message, gint colortype     );

/*
 * Variables declared somewhere else...
 */

/* init.c */
extern GtkWidget *text_field;
extern GtkWidget *text_entry;
extern GtkWidget *entry_host;
extern GtkWidget *entry_port;

extern GdkColor color_white;
extern GdkColor color_black;
extern GdkColor color_blue;
extern GdkColor color_green;
extern GdkColor color_red;
extern GdkColor color_brown;
extern GdkColor color_purple;
extern GdkColor color_orange;
extern GdkColor color_yellow;
extern GdkColor color_lightgreen;
extern GdkColor color_cyan;
extern GdkColor color_lightcyan;
extern GdkColor color_lightblue;
extern GdkColor color_pink;
extern GdkColor color_grey;
extern GdkColor color_lightgrey;
extern GdkColor *foreground;

extern GdkFont  *display_font;

/* net.c */
extern gint             sockfd;
extern bool             connected;
extern bool             echo;
extern gchar     *host;
extern gchar     *port;

/* window.c */
extern ALIAS_DATA *alias_list;
